Wed Mar 03 01:18:08 CST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

	* CIAO version 0.7.7 released.

Mon Mar  1 22:49:52 UTC 2010  William Otte  <wotte@zifnab>

        * docs/OMG-CCM-Tutorial.ppt: 
        * DAnCE/docs/OMG-DnC-Tutorial.ppt:
        
          Split OMG-CCM-Tutorial into CIAO and DAnCE parts to
          make for more manageably sized documents.  Provided
          updates to the DnC tutorial.

Mon Mar  1 19:38:29 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ccm/CCM.mpc:
        
          Removed the application of the -Ssi IDL compiler option to
          Navigation.idl and Receptacles.idl, so that their direct
          collocation related code can be compiled for a specialized
          build that tests the direct collocation code generation
          option.

Mon Mar  1 10:00:54 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h:
          Fixed versioned namespace builds

Sun Feb 28 23:13:23 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/MPC/config/dance_domainapplicationmanager.mpb:

          Link error on static linux builds.

Fri Feb 26 15:54:33 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tests/CIAO/ExecutionManager-Deployments/MultiplexConnectionExplicitHome_NS.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/MultiplexConnectionExplicitHome_NS_PL_DP.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/MultiplexConnectionExplicitHome_NS_PL_SP.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/SimplexConnectionExplicitHome_NS.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/SimplexConnectionExplicitHome_NS_PL_DP.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/SimplexConnectionExplicitHome_NS_PL_SP.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/run_test.pl:

          Expanded NS/PlanLocality testing merged in, converted this test
          to use dance_plan_launcher.
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/em_launcher.mpc:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/simple_em_launcher.cpp:

          Removed these files as they are no longer needed for above test.

Fri Feb 26 13:08:03 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tools/Convert_Plan/Convert_Plan.mpc:
        * DAnCE/tools/Split_Plan/Split_Plan.mpc:

          Avoids ace_for_tao, as Convert_Plan requires file connector.

Fri Feb 26 12:37:53 UTC 2010  William R. Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

        Unicode compile error.

Fri Feb 26 08:27:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_impl.mpb:
          When ndds nor dds4ccm_ndds is set, no need to compile
          the derived projects.

Fri Feb 26 07:40:37 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Getter_T.h:
          Optimized doxygen.

Thu Feb 25 20:03:54 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader.cpp
        * connectors/dds4ccm/impl/ndds/DataReader.h
        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp
        * connectors/dds4ccm/impl/ndds/QueryCondition.h
        * connectors/dds4ccm/impl/ndds/ReadCondition.cpp
        * connectors/dds4ccm/impl/ndds/ReadCondition.h
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
        * connectors/dds4ccm/impl/ndds/Topic.cpp
        * connectors/dds4ccm/impl/ndds/TopicDescription.cpp
        * connectors/dds4ccm/impl/ndds/TopicListener.cpp
          Set of cleanup of the core library. More will come after the release
          of x.7.7. The code is at a much better level than with x.7.6 but
          not at the level we aimed for x.7.7 because that was scheduled for
          the end of March

Thu Feb 25 16:23:49 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * NEWS:
          Added news entries.

Thu Feb 25 16:20:27 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tools/Convert_Plan/Convert_Plan_Impl.h:
          Compile error fix.

Thu Feb 25 15:47:16 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
          Optimized logging regarding query condition.

        * connectors/dds4ccm/impl/ndds/Getter_T.h:
          Optimized Doxygen documentation.

        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Resolved compile error when QueryConditions are
          enabled.

Thu Feb 25 13:28:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Getter_T.h:
          Added doxygen documentation.

Thu Feb 25 12:48:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Getter_T.cpp:
          Optimized get_one. Return false when DDS returns
          DDS_RETCODE_NO_DATA (instead of throwing an exception).

Thu Feb 25 12:43:37 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
          Layout changes.

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Resolve runtime errors.

Thu Feb 25 11:24:14 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
          Reverted some of the last changes.

Thu Feb 25 10:14:21 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_base.mpb:
          When no features is set, all dds4cmm should require
          dummy_label.

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.h:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
          Implemented some more Qos related methods.

Thu Feb 25 09:08:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
          Implemented some get/set_qos methods.

Thu Feb 25 08:32:54 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/TimeConversion/Time_Conversion.mpc:
          Cleanup

Thu Feb 25 08:29:14 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberQos.h:
          Implemented set/get_qos methods.

Thu Feb 25 08:16:54 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tools/Split_Plan/Split_Plan.mpc:
          Added missing base projects

Thu Feb 25 07:46:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/PublicationBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
          Implemented methods wich were not implemented yet.

Wed Feb 24 22:08:45 UTC 2010  William R. Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Additional cleanup.

Wed Feb 24 15:23:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Resolved compiler errors.

Wed Feb 24 15:01:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/BuiltinTopicKey_t.h:
        * connectors/dds4ccm/impl/ndds/DataReader.h:
        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/ndds/DataReaderListener.h:
        * connectors/dds4ccm/impl/ndds/DataReaderQos.h:
        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DataWriterListener.h:
        * connectors/dds4ccm/impl/ndds/DataWriterQos.h:
        * connectors/dds4ccm/impl/ndds/DeadlineQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DestinationOrderQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactoryQos.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantQos.h:
        * connectors/dds4ccm/impl/ndds/DurabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DurabilityServiceQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/Duration_t.h:
        * connectors/dds4ccm/impl/ndds/EntityFactoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/GroupDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/HistoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/InconsistentTopicStatus.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandleSeq.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h:
        * connectors/dds4ccm/impl/ndds/LatencyBudgetQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/LifespanQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/LivelinessChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/LivelinessLostStatus.h:
        * connectors/dds4ccm/impl/ndds/LivelinessQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/OfferedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/OfferedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/OwnershipQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/OwnershipStrengthQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/PartitionQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/PresentationQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/PublicationBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/PublicationMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/Publisher.h:
        * connectors/dds4ccm/impl/ndds/PublisherListener.h:
        * connectors/dds4ccm/impl/ndds/PublisherQos.h:
        * connectors/dds4ccm/impl/ndds/QosPolicyCountSeq.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition.h:
        * connectors/dds4ccm/impl/ndds/ReadCondition.h:
        * connectors/dds4ccm/impl/ndds/ReaderDataLifecycleQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/ReliabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/RequestedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/RequestedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/ResourceLimitsQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/SampleLostStatus.h:
        * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h:
        * connectors/dds4ccm/impl/ndds/StatusCondition.h:
        * connectors/dds4ccm/impl/ndds/StringSeq.h:
        * connectors/dds4ccm/impl/ndds/Subscriber.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.h:
        * connectors/dds4ccm/impl/ndds/SubscriberQos.h:
        * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/TimeBasedFilterQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/Time_t.h:
        * connectors/dds4ccm/impl/ndds/TopicDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/TopicListener.h:
        * connectors/dds4ccm/impl/ndds/TopicQos.h:
        * connectors/dds4ccm/impl/ndds/TransportPriorityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/UserDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/WriterDataLifecycleQosPolicy.h:
          Implemented Qos operators and renamed header defines.

Wed Feb 24 14:36:37 UTC 2010  William R. Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/tools/Split_Plan/Split_Plan_impl.h:

          Fuzz fix.

Wed Feb 24 13:21:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
          Removed all lem interfaces

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
          Fixed compile errors

        * connectors/dds4ccm/impl/ndds/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriterListener_T.h:
          Some callbacks are ndds specific

Wed Feb 24 11:43:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          ndds needs no-strict-aliasing

Wed Feb 24 11:39:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataWriter.cpp
        * connectors/dds4ccm/impl/ndds/DataWriter.h
        * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Write_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Write_T.h
        * connectors/dds4ccm/impl/ndds/Publisher.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp
        * connectors/dds4ccm/impl/ndds/TopicDescription.h
          More cleanup

Wed Feb 24 11:26:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.cpp
        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.h
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.h
        * connectors/dds4ccm/impl/ndds/DataReader.cpp
        * connectors/dds4ccm/impl/ndds/DataReader.h
        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.h
        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener.h
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.h
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.h
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp
        * connectors/dds4ccm/impl/ndds/DataWriter.h
        * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
        * connectors/dds4ccm/impl/ndds/DataWriterListener.h
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.h
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.h
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Update_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Update_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Write_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Write_T.h
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.h
        * connectors/dds4ccm/impl/ndds/Getter_T.cpp
        * connectors/dds4ccm/impl/ndds/InstanceHandleManager_T.cpp
        * connectors/dds4ccm/impl/ndds/InstanceHandleManager_T.h
        * connectors/dds4ccm/impl/ndds/Publisher.cpp
        * connectors/dds4ccm/impl/ndds/Publisher.h
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener.h
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp
        * connectors/dds4ccm/impl/ndds/QueryCondition.h
        * connectors/dds4ccm/impl/ndds/ReadCondition.cpp
        * connectors/dds4ccm/impl/ndds/ReadCondition.h
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp
        * connectors/dds4ccm/impl/ndds/Subscriber.h
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
        * connectors/dds4ccm/impl/ndds/SubscriberListener.h
        * connectors/dds4ccm/impl/ndds/Topic.cpp
        * connectors/dds4ccm/impl/ndds/TopicDescription.cpp
        * connectors/dds4ccm/impl/ndds/Updater_T.cpp
        * connectors/dds4ccm/impl/ndds/Updater_T.h
        * connectors/dds4ccm/impl/ndds/Writer_T.cpp
        * connectors/dds4ccm/impl/ndds/Writer_T.h
          Cleaning up the implementation

Wed Feb 24 10:45:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp
        * connectors/dds4ccm/impl/ndds/DataReader.cpp
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
        * connectors/dds4ccm/impl/ndds/Publisher.cpp
        * connectors/dds4ccm/impl/ndds/Reader_T.h
        * connectors/dds4ccm/impl/ndds/StatusCondition.cpp
        * connectors/dds4ccm/impl/ndds/StatusCondition.h
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp
        * connectors/dds4ccm/impl/ndds/Topic.cpp
        * connectors/dds4ccm/impl/ndds/Topic.h
        * connectors/dds4ccm/impl/ndds/TopicDescription.cpp
        * connectors/dds4ccm/impl/ndds/TopicDescription.h
        * connectors/dds4ccm/impl/ndds/TopicListener.cpp
        * connectors/dds4ccm/impl/ndds/TopicListener.h
          Cleaning up the implementation

Wed Feb 24 08:09:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
          Resolved compiler warnings on Linux.

Wed Feb 24 08:06:47 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.h:
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.h:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
        * connectors/dds4ccm/impl/ndds/Utils.h:
          Resolved compiler warnings. Also removed unnecessary
          space characters.

Wed Feb 24 07:28:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp
        * connectors/dds4ccm/impl/ndds/DataReader.cpp
        * connectors/dds4ccm/impl/ndds/DataReader.h
        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderQos.h
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp
        * connectors/dds4ccm/impl/ndds/DataWriter.h
        * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
        * connectors/dds4ccm/impl/ndds/DataWriterListener.h
        * connectors/dds4ccm/impl/ndds/DataWriterQos.h
        * connectors/dds4ccm/impl/ndds/DeadlineQosPolicy.h
        * connectors/dds4ccm/impl/ndds/DestinationOrderQosPolicy.h
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactoryQos.h
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.h
        * connectors/dds4ccm/impl/ndds/DomainParticipantQos.h
        * connectors/dds4ccm/impl/ndds/DurabilityQosPolicy.h
        * connectors/dds4ccm/impl/ndds/DurabilityServiceQosPolicy.h
        * connectors/dds4ccm/impl/ndds/Duration_t.h
        * connectors/dds4ccm/impl/ndds/EntityFactoryQosPolicy.h
        * connectors/dds4ccm/impl/ndds/GroupDataQosPolicy.h
        * connectors/dds4ccm/impl/ndds/HistoryQosPolicy.h
        * connectors/dds4ccm/impl/ndds/InconsistentTopicStatus.h
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h
        * connectors/dds4ccm/impl/ndds/InstanceHandleSeq.h
        * connectors/dds4ccm/impl/ndds/LatencyBudgetQosPolicy.h
        * connectors/dds4ccm/impl/ndds/LifespanQosPolicy.h
        * connectors/dds4ccm/impl/ndds/LivelinessChangedStatus.h
        * connectors/dds4ccm/impl/ndds/LivelinessLostStatus.h
        * connectors/dds4ccm/impl/ndds/LivelinessQosPolicy.h
        * connectors/dds4ccm/impl/ndds/OfferedDeadlineMissedStatus.h
        * connectors/dds4ccm/impl/ndds/OfferedIncompatibleQosStatus.h
        * connectors/dds4ccm/impl/ndds/OwnershipQosPolicy.h
        * connectors/dds4ccm/impl/ndds/OwnershipStrengthQosPolicy.h
        * connectors/dds4ccm/impl/ndds/PartitionQosPolicy.h
        * connectors/dds4ccm/impl/ndds/PresentationQosPolicy.h
        * connectors/dds4ccm/impl/ndds/PublicationMatchedStatus.h
        * connectors/dds4ccm/impl/ndds/Publisher.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener.h
        * connectors/dds4ccm/impl/ndds/PublisherQos.h
        * connectors/dds4ccm/impl/ndds/QosPolicyCountSeq.h
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp
        * connectors/dds4ccm/impl/ndds/ReaderDataLifecycleQosPolicy.h
        * connectors/dds4ccm/impl/ndds/ReliabilityQosPolicy.h
        * connectors/dds4ccm/impl/ndds/RequestedDeadlineMissedStatus.h
        * connectors/dds4ccm/impl/ndds/RequestedIncompatibleQosStatus.h
        * connectors/dds4ccm/impl/ndds/ResourceLimitsQosPolicy.h
        * connectors/dds4ccm/impl/ndds/SampleInfo.h
        * connectors/dds4ccm/impl/ndds/SampleLostStatus.h
        * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h
        * connectors/dds4ccm/impl/ndds/StringSeq.h
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp
        * connectors/dds4ccm/impl/ndds/Subscriber.h
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
        * connectors/dds4ccm/impl/ndds/SubscriberListener.h
        * connectors/dds4ccm/impl/ndds/SubscriberQos.h
        * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h
        * connectors/dds4ccm/impl/ndds/Time_t.h
        * connectors/dds4ccm/impl/ndds/TimeBasedFilterQosPolicy.h
        * connectors/dds4ccm/impl/ndds/TimeUtilities.h
        * connectors/dds4ccm/impl/ndds/Topic.cpp
        * connectors/dds4ccm/impl/ndds/TopicDataQosPolicy.h
        * connectors/dds4ccm/impl/ndds/TopicDescription.h
        * connectors/dds4ccm/impl/ndds/TopicListener.cpp
        * connectors/dds4ccm/impl/ndds/TopicQos.h
        * connectors/dds4ccm/impl/ndds/TransportPriorityQosPolicy.h
        * connectors/dds4ccm/impl/ndds/UserDataQosPolicy.h
        * connectors/dds4ccm/impl/ndds/WriterDataLifecycleQosPolicy.h
          Guarded all RTI specific code

        * MPC/config/dds4ccm.mpb:
          Don't compile anything related to dds4ccm when we don't have
          a dds vendor installed

Tue Feb 23 21:49:52 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tools/Split_Plan/Split_Plan_impl.cpp:

          Rogue letter was causing a compile error.

Tue Feb 23 16:22:42 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/MPC/config/dance_convert_plan.mpb:
        * DAnCE/MPC/config/dance_split_plan.mpb:
        * DAnCE/MPC/config/dance_tools.mpb:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/tools/Convert_Plan/Convert_Plan.cpp:
        * DAnCE/tools/Convert_Plan/Convert_Plan.mpc:
        * DAnCE/tools/Convert_Plan/Convert_Plan_Impl.h:
        * DAnCE/tools/Convert_Plan/Convert_Plan_Impl.cpp:
        * DAnCE/tools/Split_Plan/Split_Plan.mpc:
        * DAnCE/tools/Split_Plan/Split_Plan.cpp:
        * DAnCE/tools/Split_Plan/Split_Plan_impl.cpp:

          Fuzz fixes.

Tue Feb 23 16:13:24 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Bugfix for how connections are handled when there are two
          internalEndpoints but it is _not_ a local conneciton.

        * examples/Hello/descriptors/PlanLocality_DifferentProcesses.cdp:
        * examples/Hello/descriptors/PlanLocality_SameProcess.cdp:

          Corrected IOR file so test script finds controller.

Tue Feb 23 15:33:33 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * DAnCE/tools/Convert_Plan/Convert_Plan.mpc:

          Added dance_config_handlers as a base project to DAnCE_Convert_Plan
          project. Thanks to William Otte for the suggestion.

Tue Feb 23 15:16:24 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc:

          Added split_plan base project.

Tue Feb 23 14:54:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.cpp:
          Inserted forgotten new line character.

Tue Feb 23 14:46:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/Plan.cdp:
          Resolved deployment errors related to generation of the connector
          code.

Tue Feb 23 14:34:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          CSLUnexpStat is not ready, yet.

        * connectors/dds4ccm/impl/ndds/Getter_T.cpp:
          Layout changes.

        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors/run_test.pl:
          Resolved deployment errors related to generation of the connector
          code.

Tue Feb 23 14:28:22 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tools/Convert_Plan/DAnCE_Convert_Plan_export.h:

          Missing file.

Tue Feb 23 13:25:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.idl
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl
          Added various pragma's

        * connectors/dds4ccm/idl/dds4ccm.mpc
        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.h
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.h
        * connectors/dds4ccm/impl/ndds/Getter_T.h
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h
        * connectors/dds4ccm/impl/ndds/InstanceHandleSeq.h
        * connectors/dds4ccm/impl/ndds/Publisher.h
        * connectors/dds4ccm/impl/ndds/PublisherListener.h
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.h
        * connectors/dds4ccm/impl/ndds/QosPolicyCountSeq.h
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp
        * connectors/dds4ccm/impl/ndds/RequestedDeadlineMissedStatus.h
        * connectors/dds4ccm/impl/ndds/StringSeq.h
        * connectors/dds4ccm/impl/ndds/Subscriber.h
        * MPC/config/ciaoidldefaults.mpb
        * MPC/config/componentidldefaults.mpb
          Portability changes

Tue Feb 23 14:08:20 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:

          Use the split plan library instead of internal split plan impl.

        * DAnCE/MPC/config/dance_convert_plan.mpb:
        * DAnCE/MPC/config/dance_split_plan.mpb:
        * DAnCE/MPC/config/dance_tools.mpb:

          Base projects for convert_plan/split_plan.

        * DAnCE/tools:
        * DAnCE/tools/Convert_Plan:
        * DAnCE/tools/Convert_Plan/Convert_Plan.cpp:
        * DAnCE/tools/Convert_Plan/Convert_Plan.mpc:
        * DAnCE/tools/Convert_Plan/Convert_Plan_Impl.h:
        * DAnCE/tools/Convert_Plan/Convert_Plan_Impl.cpp:

          Tool allowing validation/conversion of XML deployment plans to
          CDR.

        * DAnCE/tools/Split_Plan:
        * DAnCE/tools/Split_Plan/DAnCE_Split_Plan_export.h:
        * DAnCE/tools/Split_Plan/Split_Plan.mpc:
        * DAnCE/tools/Split_Plan/Split_Plan.cpp:
        * DAnCE/tools/Split_Plan/Split_Plan_impl.h:
        * DAnCE/tools/Split_Plan/Split_Plan_impl.cpp:

          Tool allowing users to split plans into locality constrained
          partitions. Also contains important bugfixes for process
          colocation.

Tue Feb 23 13:40:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
          Added new 3832 tests

        * ciao/Logger/Logger_Service.cpp:
        * ciao/Logger/Logger_Service.h:
        * DAnCE/Logger/Logger_Service.cpp:
        * DAnCE/Logger/Logger_Service.h:
          Fixed service config macros which caused this service not
          to get loaded on linux

        * tests/Bug_3832_Regression/*
        * DAnCE/tests/Bug_3832_Regression/*
          Added new test for 3832

Tue Feb 23 12:45:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/logger/Log_Macros.h:
        * connectors/dds4ccm/impl/logger/Log_Macros.cpp:
          Making use of the CIAO_Debug_Level flag of the
          CIAO logging framework.

Tue Feb 23 11:54:21 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_impl.mpb:
        * MPC/config/dds4ccm_logger.mpb:
        * connectors/dds4ccm/impl/logger:
        * connectors/dds4ccm/impl/logger/Log_Macros.h:
        * connectors/dds4ccm/impl/logger/Log_Macros.cpp:
        * connectors/dds4ccm/impl/logger/Logger.mpc:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DDSCallbackStatusHandler.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataListenerControl_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Getter_T.cpp:
        * connectors/dds4ccm/impl/ndds/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/StateListenerControl_T.cpp:
        * connectors/dds4ccm/impl/ndds/StatusCondition.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
        * connectors/dds4ccm/impl/ndds/TopicDescription.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Updater_T.cpp:
        * connectors/dds4ccm/impl/ndds/Writer_T.cpp:
        * connectors/dds4ccm/impl/ndds/ndds_impl.mpc:
        * connectors/dds4ccm/tests/QueryFilter/descriptors/run_test.pl:
          Created DDS4CCM_DEBUG, DDS4CCM_TRACE and DDS4CCM_ERROR macros.
          For now these macros make use of the CIAO logging framework. In
          the future, DDS4CCM should have it's own logging framework.

Tue Feb 23 09:26:15 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Getter_T.h:
        * connectors/dds4ccm/impl/ndds/Getter_T.cpp:
          Refactored get_one, making use of the read_w_condition
          API method.

Tue Feb 23 08:50:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.idl:
          Added missing pragma

        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.mpc:
          Disabled this project for the moment, rtiddsgen can't handle this

Tue Feb 23 07:47:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.mpc
          Updated to generate connector

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1_exec.cpp
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1_exec.h
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2_exec.cpp
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2_exec.h
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3_exec.cpp
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3_exec.h
          removed

Tue Feb 23 07:22:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl
        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.mpc
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.mpc
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.mpc
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.mpc
        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.mpc
        * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver.mpc
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender.mpc
        * connectors/dds4ccm/idl/dds4ccm.mpc
        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl
        * connectors/dds4ccm/idl/dds_rtf2_dcps_i_handle.idl
        * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handle.idl
        * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handleC.cpp
        * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handleC.h
        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.h
        * connectors/dds4ccm/impl/ndds/DataReader.h
        * connectors/dds4ccm/impl/ndds/DataReaderListener.h
        * connectors/dds4ccm/impl/ndds/DataWriter.h
        * connectors/dds4ccm/impl/ndds/DataWriterListener.h
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.h
        * connectors/dds4ccm/impl/ndds/InconsistentTopicStatus.h
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h
        * connectors/dds4ccm/impl/ndds/LivelinessChangedStatus.h
        * connectors/dds4ccm/impl/ndds/Publisher.h
        * connectors/dds4ccm/impl/ndds/PublisherListener.h
        * connectors/dds4ccm/impl/ndds/QosPolicyCountSeq.h
        * connectors/dds4ccm/impl/ndds/QueryCondition.h
        * connectors/dds4ccm/impl/ndds/ReadCondition.h
        * connectors/dds4ccm/impl/ndds/RequestedIncompatibleQosStatus.h
        * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h
        * connectors/dds4ccm/impl/ndds/StatusCondition.h
        * connectors/dds4ccm/impl/ndds/Subscriber.h
        * connectors/dds4ccm/impl/ndds/SubscriberListener.h
        * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h
        * connectors/dds4ccm/impl/ndds/TopicDescription.h
        * connectors/dds4ccm/impl/ndds/TopicListener.h
        * connectors/dds4ccm/impl/ndds/Utils.h
        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender.mpc
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector.mpc
        * connectors/dds4ccm/performance-tests/Latency/Receiver/Latency_Test_Receiver.mpc
        * connectors/dds4ccm/performance-tests/Latency/Sender/Latency_Test_Sender.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver.mpc
        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Receiver/Writer_Receiver.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Receiver/Event_Connection_Test_Receiver.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Sender/Event_Connection_Test_Sender.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Connector/FSS_Event_Connector.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Connector/FSS_State_Connector.mpc
        * connectors/dds4ccm/tests/Getter/Base/Get_Invoker.mpc
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.idl
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.mpc
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver.mpc
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Receiver/LMBM_Test_Receiver.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Sender/LMBM_Test_Sender.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Sender/LOBO_Test_Sender.mpc
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/ConnectorStatusListener_Test_Receiver.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/ConnectorStatusListener_TestSec_Connector.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Sender/ConnectorStatusListener_Test_Sender.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender.mpc
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Starter.mpc
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector.mpc
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver.mpc
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender.mpc
        * connectors/dds4ccm/tests/Reader/Base/Reader_Starter.mpc
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.mpc
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver.mpc
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender.mpc
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector.mpc
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.mpc
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver.mpc
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SLOneByOne_Connector.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender.mpc
        * connectors/dds4ccm/tests/TwoTopics/Connector/TwoTopics_Connector.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.mpc
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver.mpc
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender.mpc
        * MPC/config/connectoridldefaults.mpb
        * MPC/config/dds4ccm.mpb
        * MPC/config/dds4ccm_base.mpb
        * MPC/config/dds4ccm_ts_default.mpb
          More portability changes

Tue Feb 23 04:44:49 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tests/CIAO/ExecutionManager-Deployments/SimpleProcessColocation.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/SimpleProcessColocation_2.cdp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/SimpleProcessColocation_Default.cdp:

          Tests to excercise process colocation when passed through the
          EM.

        * DAnCE/tests/CIAO/ExecutionManager-Deployments/run_test.pl:

          Test script was broken and not actually running tests.

Tue Feb 23 04:05:06 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/bin/PythonDAnCE/generator/__init__.py:
        * DAnCE/bin/PythonDAnCE/generator/comp_impl.py:
        * DAnCE/bin/PythonDAnCE/generator/comp_inst.py:
        * DAnCE/bin/PythonDAnCE/generator/config_prop.py:
        * DAnCE/bin/PythonDAnCE/generator/connection.py:
        * DAnCE/bin/PythonDAnCE/generator/deploy_requirement.py:
        * DAnCE/bin/PythonDAnCE/generator/external_reference.py:
        * DAnCE/bin/PythonDAnCE/generator/internal_endpoint.py:
        * DAnCE/bin/generate_plan.py:

          Improvements to allow more expressive plan generation.

Tue Feb 23 04:03:46 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:

          Additional error checking, and an improvements to how
          colocation groups with NoConstraint are handled.

Tue Feb 23 02:55:31 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Hello/descriptors/NodeMap.dat:
        * examples/Hello/descriptors/PlanLocality_DifferentProcesses.cdp:
        * examples/Hello/descriptors/PlanLocality_SameProcess.cdp:
        * examples/Hello/descriptors/run_test_PlanLocality_DifferentProcesses.pl:
        * examples/Hello/descriptors/run_test_PlanLocality_SameProcess.pl:

          Added the files above to test PlanLocality feature.

Tue Feb 23 02:39:25 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Hello/Receiver/Receiver_exec.h:
        * examples/Hello/Receiver/Receiver_exec.cpp:
        * examples/Hello/Sender/Sender_exec.h:
        * examples/Hello/Sender/Sender_exec.cpp:

          Update this example. It was out of date and as such, it
          wouldn't work with CoSMIC generated descriptors (due
          to missing entry points).

Mon Feb 22 22:13:59 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Null_Component/descriptors/NodeMap.dat:

          Changed port number.

        * examples/Null_Component/descriptors/run_test_without_ns.pl:

          Enhanced this script so it would deploy all cdps (component deployment plans)
          that are in the directory.

Mon Feb 22 21:39:08 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Null_Component/descriptors/Null_PlanLocality_DifferentProcesses.cdp:
        * examples/Null_Component/descriptors/Null_PlanLocality_SameProcess.cdp:
          Add a couple of deployment plans to test the PlanLocality feature.

Mon Feb 22 20:48:36 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Null_Component/descriptors/NodeMap.dat:
        * examples/Null_Component_Glfa/descriptors/NodeMap.dat:

          Fixed a small bug in these files.

        * examples/Null_Component/descriptors/run_test_without_ns.pl:

          Added a new test to deploy this example without using the naming service.

        * bin/ciao_tests.lst:

          Add run_test_without_ns.pl to the daily regression tests.

Feb 22 14:26:16 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Getter/Base/Get_Invoker.idl:
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.idl:
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.idl:
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver.idl:
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender.idl:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Getter/descriptors/Plan.cdp:
          Extended test with an extra connector which handles a fixed
          size struct.

Mon Feb 22 13:48:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.idl
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl
        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.idl
        * connectors/dds4ccm/performance-tests/Latency/Base/Latency_Test_Base.idl
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.idl
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.idl
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.idl
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.idl
        * connectors/dds4ccm/tests/DDSWriterEntity/Base/Writer_Base.idl
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.idl
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.idl
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Connector/FSS_Event_Connector.idl
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.idl
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Connector/FSS_State_Connector.idl
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.idl
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.idl
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.idl
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.idl
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.idl
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.idl
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.idl
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/ConnectorStatusListener_Test_Base.idl
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.idl
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.idl
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Test_Base.idl
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.idl
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.idl
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.idl
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.idl
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.idl
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.idl
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.idl
        * connectors/dds4ccm/tests/TwoTopics/Connector/TwoTopics_Connector.idl
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.idl
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.idl
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.idl
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl
          Updated rti typesupport to ndds typesupport, everywhere we talk
          about ndds

Mon Feb 22 13:39:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.h
        * connectors/dds4ccm/impl/ndds/DataReader.h
        * connectors/dds4ccm/impl/ndds/DataWriter.h
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h
        * connectors/dds4ccm/impl/ndds/Duration_t.h
        * connectors/dds4ccm/impl/ndds/Getter_T.h
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h
        * connectors/dds4ccm/impl/ndds/QueryCondition.h
        * connectors/dds4ccm/impl/ndds/Reader_T.h
        * connectors/dds4ccm/impl/ndds/SampleInfo.h
        * connectors/dds4ccm/impl/ndds/Subscriber.h
        * connectors/dds4ccm/impl/ndds/Time_t.h
        * connectors/dds4ccm/impl/ndds/Topic.h
          Portability improvements

        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.idl:
          Updated typesupport

Mon Feb 22 12:47:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/MPC/config/dance_nodeapplication.mpb
        * DAnCE/NodeApplication/NodeApplication.mpc
          Corrected after

Mon Feb 22 12:46:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/MPC/config/dance_nodeapplicationmanager.mpb
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
          Corrected after

Mon Feb 22 12:36:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.mpc
        * connectors/dds4ccm/performance-tests/Latency/Base/Latency_Test_Base.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.mpc
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.mpc
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.mpc
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/ConnectorStatusListener_Test_Base.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.mpc
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Test_Base.mpc
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.mpc
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.mpc
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.mpc
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc
          Added empty source files to not pickup files that are already generated
          by other projects in the same directory

Mon Feb 22 12:30:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.mpc
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.mpc
        * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver.mpc
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender.mpc
        * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender.mpc
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector.mpc
        * connectors/dds4ccm/performance-tests/Latency/Receiver/Latency_Test_Receiver.mpc
        * connectors/dds4ccm/performance-tests/Latency/Sender/Latency_Test_Sender.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver.mpc
        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Receiver/Writer_Receiver.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Receiver/Event_Connection_Test_Receiver.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Sender/Event_Connection_Test_Sender.mpc
        * connectors/dds4ccm/tests/Getter/Base/Get_Invoker.mpc
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver.mpc
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Receiver/LMBM_Test_Receiver.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Sender/LMBM_Test_Sender.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Sender/LOBO_Test_Sender.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/ConnectorStatusListener_Test_Receiver.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Sender/ConnectorStatusListener_Test_Sender.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender.mpc
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Starter.mpc
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver.mpc
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender.mpc
        * connectors/dds4ccm/tests/Reader/Base/Reader_Starter.mpc
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver.mpc
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component.mpc
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver.mpc
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver.mpc
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender.mpc
          Removed nddslib as base project

        * MPC/config/dds4ccm_base.mpb:
          Added nddslib as base project

Mon Feb 22 12:25:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Getter_T.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandleManager_T.h
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp
          Layout changes

Mon Feb 22 12:11:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.mpc
        * connectors/dds4ccm/performance-tests/Latency/Base/Latency_Test_Base.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.mpc
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.mpc
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.mpc
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/ConnectorStatusListener_Test_Base.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.mpc
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Test_Base.mpc
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.mpc
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.mpc
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.mpc
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc
          Fixed casing problems

Mon Feb 22 11:37:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted change below

Mon Feb 22 10:34:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.mpc
        * connectors/dds4ccm/performance-tests/Latency/Base/Latency_Test_Base.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.mpc
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.mpc
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.mpc
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/ConnectorStatusListener_Test_Base.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.mpc
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Test_Base.mpc
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.mpc
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.mpc
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.mpc
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc
          Added custom_only=1

Mon Feb 22 10:16:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS4CCM_Traits.h:
          Updated ifdef guards

        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
        * connectors/dds4ccm/performance-tests/Latency/Sender/Latency_Test_Sender.mpc:
          Layout changes

        * MPC/config/dds4ccm_base.mpb:
        * MPC/config/dds4ccm_impl.mpb:
          Simplified thse projects

Mon Feb 22 09:49:50 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.mpc:
          Resolved MPC-warning.

Mon Feb 22 09:29:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.mpc
        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.mpc
        * connectors/dds4ccm/performance-tests/Latency/Base/Latency_Test_Base.mpc
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.mpc
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Connector/FSS_Event_Connector.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.mpc
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Connector/FSS_State_Connector.mpc
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.mpc
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.mpc
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/ConnectorStatusListener_Test_Base.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/ConnectorStatusListener_TestSec_Connector.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.mpc
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Test_Base.mpc
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector.mpc
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.mpc
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.mpc
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.mpc
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector.mpc
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.mpc
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SLOneByOne_Connector.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.mpc
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.mpc
        * connectors/dds4ccm/tests/TwoTopics/Connector/TwoTopics_Connector.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.mpc
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.mpc
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.mpc
          Use the new dds4ccm_ts_defaults base project

Mon Feb 22 08:29:03 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Read_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Update_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_Update_T.cpp:
          Created typedefs of templated classes.

Mon Feb 22 08:21:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Write_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.cpp:
          Using the ACE_NEW_* macros (instead of C++ new).

Mon Feb 22 08:22:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
          Layout change

        * DAnCE/RepositoryManager/repository_manager_admin_exec.cpp
        * DAnCE/RepositoryManager/RepositoryManager.cpp
          Shutdown the orb

        * MPC/config/connectoridldefaults.mpb:
          No executor header file for a connector

Mon Feb 22 08:20:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Layout and const changes

Mon Feb 22 07:18:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc
        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.mpc
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.mpc
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.mpc
        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.mpc
          Simplified these base projects

Sun Feb 21 09:24:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ChangeLogs/*:
          Use full year

Sat Feb 20 20:31:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          New base project for dds4ccm dds type support generation. This
          base project will be soon be used for all dds4ccm examples and
          tests. The typesupport files will now be linked together with
          the tao type code to one shared library. dds4ccm should work
          on the long term with multiple dds implementations, the fact
          that you have an implementation doesn't mean you want to use
          it with dds4ccm. with the new features dds4ccm_ndds, dds4ccm_opendds,
          and dds4ccm_splice you can control which dds vendor dds4ccm
          should use. At this moment ndds is supported and tested

          Thanks to Adam Mitz for extending MPC to make this base
          project possible

Fri Feb 19 15:44:38 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:

          Added #include, newly required due to reordering of
          #includes in the front end.

Fri Feb 19 15:11:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/OMG-CCM-Tutorial.ppt:
          Improved AMI4CCM one step further

Fri Feb 19 12:53:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Event_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Event_Connector_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.h
        * connectors/dds4ccm/impl/ndds/DDS_State_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_State_Connector_T.h
        * connectors/dds4ccm/impl/ndds/Getter_T.cpp
        * connectors/dds4ccm/impl/ndds/Getter_T.h
          Added a boolean to the connectors to let the TAO_IDL
          compiler generate whether we have a fixed or non fixed
          type. The memory management is different and caused
          compile and runtime problems with getter::get_one.
          We now specialized the Getter::get_one method for
          fixed and for non fixed types

Fri Feb 19 11:53:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
          Implemented some more ACE_NEW_* macros.

Fri Feb 19 11:29:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
          Implemented some more ACE_NEW_* macros.

Fri Feb 19 10:51:49 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
          Changed value of RELIABLE_READER_ACTIVITY_CHANGED_STATUS.

        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
          Prepared the test to receive the RELIABLE_READER_ACTIVITY_CHANGED_STATUS.

Fri Feb 19 08:43:52 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/*:
          Added tests in order to test the TAO_IDL compliler.

Fri Feb 19 08:35:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector_exec.cpp
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector_exec.cpp
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector_exec.cpp
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/CSL_TestSec_Connector_exec.cpp
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector_exec.cpp
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector_exec.cpp
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector_exec.cpp
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector_exec.cpp
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector_exec.cpp
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector_exec.cpp
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector_exec.cpp
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SL_OneByOne_Connector_exec.cpp
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector_exec.cpp
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector_exec.cpp
        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector_exec.cpp
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector_exec.cpp
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector_exec.cpp
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector_exec.h
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector_exec.h
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector_exec.h
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector_exec.h
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/CSL_TestSec_Connector_exec.h
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector_exec.h
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector_exec.h
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector_exec.h
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector_exec.h
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector_exec.h
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector_exec.h
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector_exec.h
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector_exec.h
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector_exec.h
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector_exec.h
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector_exec.h
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector_exec.h
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector_exec.h
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector_exec.h
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector_exec.h
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SL_OneByOne_Connector_exec.h
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector_exec.h
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector_exec.h
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector_exec.h
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector_exec.h
        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector_exec.h
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector_exec.h
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector_exec.h
          Removed from the archive, generated by tao_idl from now

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/ConnectorStatusListener_Test_Base.idl
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.idl
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.idl
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.idl
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.idl
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.idl
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.idl
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.idl
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.idl
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.idl
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.idl
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.idl
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.idl
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.idl
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.idl
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Starter.idl
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Test_Base.idl
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.idl
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.idl
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.idl
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.idl
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.idl
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.idl
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.idl
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.idl
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl
        * connectors/dds4ccm/tests/DDSWriterEntity/Base/Writer_Base.idl
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.idl
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.idl
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.idl
          Added RTI typesupport pragma

        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/ConnectorStatusListener_TestSec_Connector.mpc
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.mpc
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.mpc
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.mpc
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector.mpc
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.mpc
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.mpc
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SLOneByOne_Connector.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.mpc
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.mpc
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.mpc
          Updated to let tao_idl generate the connector

Thu Feb 18 16:07:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.idl
          Added rti typesupport pragma

        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector_exec.cpp
        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector_exec.h
          Removed from the archive

        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.mpc
          Updated to generate the connector
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.cpp
          Layout change

Thu Feb 18 15:47:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/id3p_test/*:
          Removed, obsolete

Thu Feb 18 15:43:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.idl:
        * connectors/dds4ccm/performance-tests/Latency/Base/Latency_Test_Base.idl:
          Added rti typesupport pragma

        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector_exec.cpp
        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector_exec.h
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector_exec.cpp
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector_exec.h
          Removed from the archive

        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.mpc
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector.mpc
          Updated to generate the connector

Thu Feb 18 15:36:06 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Latency/Sender/Latency_Test_Sender_exec.cpp:
          Remove some tabs.

Thu Feb 18 15:35:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.mpc:
          Updated to use tao_idl generation

        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp:
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.h:
          Removed from the archive

Thu Feb 18 14:22:29 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp:
        * connectors/dds4ccm/impl/ndds/ReadCondition.cpp:
        * connectors/dds4ccm/impl/ndds/TopicDescription.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener.cpp:
          Implemented ACE_NEW_* macros.

Thu Feb 18 13:48:20 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/TwoTopics/Connector/TwoTopics_Connector.mpc:
          Removed dummy label to enable compilation.

Thu Feb 18 13:44:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Connector/FSS_Event_Connector.mpc:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Connector/FSS_State_Connector.mpc:
          Removed dummy label.

        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Receiver/*:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Sender/*:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/descriptors/*:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Receiver/*:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Sender/*:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/descriptors/*:
          Removed these files since this is there to capture compiler errors.

Thu Feb 18 13:26:06 UTC 2010  Marijke Hnegstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Latency:
        * connectors/dds4ccm/performance-tests/Latency/Base:
        * connectors/dds4ccm/performance-tests/Latency/Base/Latency_Test_Base.idl:
        * connectors/dds4ccm/performance-tests/Latency/Base/Latency_Test_Base.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Connector:
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector.idl:
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector_exec.cpp:
        * connectors/dds4ccm/performance-tests/Latency/Connector/Latency_Test_Connector_exec.h:
        * connectors/dds4ccm/performance-tests/Latency/descriptors:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan.cdp:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_pub.cdp:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/Plan_sub.cdp:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/run_pub.pl:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/run_sub.pl:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Latency/descriptors/USER_QOS_PROFILES.xml:
        * connectors/dds4ccm/performance-tests/Latency/Receiver:
        * connectors/dds4ccm/performance-tests/Latency/Receiver/Latency_Test_Receiver.idl:
        * connectors/dds4ccm/performance-tests/Latency/Receiver/Latency_Test_Receiver.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Receiver/Latency_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Latency/Receiver/Latency_Test_Receiver_exec.h:
        * connectors/dds4ccm/performance-tests/Latency/Sender:
        * connectors/dds4ccm/performance-tests/Latency/Sender/Latency_Test_Sender.idl:
        * connectors/dds4ccm/performance-tests/Latency/Sender/Latency_Test_Sender.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Sender/Latency_Test_Sender_exec.cpp:
        * connectors/dds4ccm/performance-tests/Latency/Sender/Latency_Test_Sender_exec.h:
                First base of new latency test dds4ccm.

Thu Feb 18 13:22:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
          Made better use of the ACE_NEW_* macros.

Thu Feb 18 13:13:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Getter_T.cpp:
          Fixed gcc compile error

Thu Feb 18 12:33:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
          Using the ACE_NEW_* marcros instead of the
          regular C++ new.

Thu Feb 18 11:36:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/TwoTopics/*:
          Test to check whether the generated exec code
          compiles without errors when defining two topics
          in one connector.

Thu Feb 18 09:00:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/*:
          Added test to test fixed size data. Fixed size data is handled
          in a different way. This'll result in compliler errors when not
          coded properly.

Thu Feb 18 08:37:49 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Updated

        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
          Added some more tracing.

        * connectors/dds4ccm/tests/FixedSizeStruct/*:
          Added test to test fixed size data. Fixed size data is handled
          in a different way. This'll result in compliler errors when not
          coded properly.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Improved the way the Receiver receives data.

Thu Feb 18 08:30:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Getter_T.cpp:
          Fixed compile error with fixed size datatypes

        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Layout and documentation fixes

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc:
          No need for C.inl

Wed Feb 17 15:24:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
          Layout changes

        * DAnCE/DomainApplication/Domain_Application_Impl.cpp
        * DAnCE/DomainApplication/Domain_Application_Impl.h
        * DAnCE/DomainApplication/DomainApplication.mpc
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
          Cleanup

Wed Feb 17 13:57:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.h:
          Deleted reactor member which is not needed here

        * DAnCE/NodeManager/Node_Manager_Module.h:
        * DAnCE/RepositoryManager/Repository_Manager_Module.h:
          Removed not needed include

        * DAnCE/RepositoryManager/RepositoryManager.mpc:
          Cleanup base projects

Wed Feb 17 12:14:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/MPC/config/dance_plan_generator.mpb
        * DAnCE/Plan_Generator/PCVisitor.cpp
        * DAnCE/Plan_Generator/PCVisitor.h
        * DAnCE/Plan_Generator/PCVisitorBase.cpp
        * DAnCE/Plan_Generator/PCVisitorBase.h
        * DAnCE/Plan_Generator/PCVisitorBase.inl
        * DAnCE/Plan_Generator/Plan_Generator.mpc
        * DAnCE/Plan_Generator/Plan_Generator_Impl.cpp
        * DAnCE/Plan_Generator/Plan_Generator_Impl.h
        * DAnCE/Plan_Generator/Plan_Generator_Impl_Export.h
          removed, not used at all

Wed Feb 17 12:10:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.idl:
          Added pragma

        * DAnCE/RepositoryManager/DAnCE_RepositoryManager_Module_Export.h:
          Deleted

Wed Feb 17 12:09:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/Node_Manager_Module.h:
          Removed obsolete header

        * DAnCE/MPC/config/dance_utils.mpb
        * DAnCE/Utils
        * DAnCE/Utils/DAnCE_Utils.mpc
        * DAnCE/Utils/DAnCE_Utils_Export.h
        * DAnCE/Utils/Plan_Handler.cpp
        * DAnCE/Utils/Plan_Handler.h
          Removed, not used at all

Wed Feb 17 11:40:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Cleanup of the repository manager

        * DAnCE/DAnCE/DAnCE_Loader.h:
        * DAnCE/MPC/config/dance_repositorymanager.mpb:
        * DAnCE/RepositoryManager/Repository_Manager_Admin_Export.h
          Deleted

        * DAnCE/RepositoryManager/PC_Updater.h
        * DAnCE/RepositoryManager/Repository_Manager.cpp
        * DAnCE/RepositoryManager/repository_manager_admin.h
        * DAnCE/RepositoryManager/Repository_Manager_Exec.cpp
        * DAnCE/RepositoryManager/Repository_Manager_Module.cpp
        * DAnCE/RepositoryManager/Repository_Manager_Module.h
        * DAnCE/RepositoryManager/RepositoryManager.mpc
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/RepositoryManager/RM_Helper.h
        * DAnCE/RepositoryManager/URL_Parser.h
          Cleanup

Wed Feb 17 11:20:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Cleanup of the target manager

        * DAnCE/MPC/config/dance_nodemanager.mpb:
        * DAnCE/MPC/config/dance_targetmanager.mpb
          Deleted, obsolete

        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/RepositoryManager/RM_Helper.h:
        * DAnCE/TargetManager/ResourceCommitmentManager.h:
          layout change

        * DAnCE/NodeManager/NodeManager.mpc:
          Reduced dependency

        * DAnCE/TargetManager/Target_Manager_Exec.cpp
        * DAnCE/TargetManager/Target_Manager_Module_export.h
        * DAnCE/TargetManager/TargetManager_Impl_export.h
          Deleted from the archive

        * DAnCE/TargetManager/Target_Manager.cpp
        * DAnCE/TargetManager/Target_Manager_Module.cpp
        * DAnCE/TargetManager/Target_Manager_Module.h
        * DAnCE/TargetManager/TargetManager.mpc
        * DAnCE/TargetManager/TargetManager_Impl.cpp
        * DAnCE/TargetManager/TargetManager_Impl.h
          Simplified and cleanup

Wed Feb 17 10:54:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/CmpClient.cpp
        * DAnCE/TargetManager/TM_Client.mpc
          Moved to DAnCE/tests/TargetManager

Wed Feb 17 09:49:35 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Stopping time when the run actualy starts.

Wed Feb 17 09:41:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
          Added rti typesupport trait

        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.mpc:
          Updated to use tao_idl generated connector

        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector_exec.cpp:
        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector_exec.h:
          Removed from the archive

Wed Feb 17 09:36:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Check whether the get_listener returns nil.

        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender.idl:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/InstanceHandle/descriptors/run_test.pl:
          Improved implementation. Sometimes unregister_handles hangs in
          a never ending loop.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Improved implementation. Polling for the last sample in DDS now
          is done using the reactor thread.

Wed Feb 17 09:21:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector_exec.cpp:
        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector_exec.h:
          Deleted, generated by tao_idl now

Wed Feb 17 09:07:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Simplified NodeManager

        * DAnCE/NodeManager/DAnCE_NodeManager_Module_Export.h
        * DAnCE/NodeManager/Node_Manager_Exec.cpp
        * DAnCE/NodeManager/NodeManager_Export.h
          Removed

        * DAnCE/NodeManager/Node_Manager.cpp
        * DAnCE/NodeManager/Node_Manager_Module.cpp
        * DAnCE/NodeManager/Node_Manager_Module.h
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h
          Simplified

        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp
          Fixed warning

Tue Feb 16 20:34:27 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/idl/dds4ccm_Connector.idl:

          Removed the line '#define connector component' since we
          now have backend and frontend connector support.

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.mpc:

          Modified projects to generate and compile the
          connector implementation.

        * examples/BasicSP/BMClosedED/BMClosedED.idl:
        * tests/IDL_Test/IDL3_Plus/KitchenSink.idl:

          Cosmetic changes.

Tue Feb 16 20:04:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Simplified execution manager

        * DAnCE/ExecutionManager/DAnCE_ExecutionManager_Module_Export.h
        * DAnCE/ExecutionManager/Execution_Manager_Exec.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Export.h
          Removed

        * DAnCE/ExecutionManager/Execution_Manager.cpp
        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h
        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Module.h
          Simplified

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
          Layout changes

Tue Feb 16 19:33:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Simplified the plan_launcher, it was way to complex to
        build

        * DAnCE/MPC/config/dance_plan_launcher.mpb
        * DAnCE/MPC/config/dance_plan_launcher_base.mpb
        * DAnCE/Plan_Launcher/Plan_Launcher.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl_Export.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Module.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Module.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Module_Export.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl_Export.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Module.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Module.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Module_Export.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Exec.cpp
          Deleted, all not used

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
          Updated to contain the Plan_Launcher implementation and main

Tue Feb 16 18:45:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Plan_Launcher/launcher.cpp:
          Removed, not used

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h:
          Layout changes

Tue Feb 16 18:04:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DAnCE/CIAO_ExecutionManagerDaemon.idl
        * DAnCE/DAnCE/CIAO_Interfaces.mpc
        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h
        * DAnCE/MPC/config/ciao_executionmanager_skel.mpb
        * DAnCE/MPC/config/ciao_executionmanager_stub.mpb
        * DAnCE/RepositoryManager/RepositoryManager.cpp
          Removed shutdown method, it was not used and a non spec interface

Tue Feb 16 15:48:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DAnCE/DAnCE_Properties.mpc:
          Added mpc file which should have been committed earlier today

Tue Feb 16 13:08:57 UTC 2010  Marijke Hemgstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.idl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub3.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub_BE.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_sub.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_sub_BE.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/README:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub3.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub_BE.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub2.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub3.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub_BE.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/USER_QOS_PROFILES.xml:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender.idl:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.h:
        Add attribute number_of_subscribers, made different test scripts.

Tue Feb 16 12:47:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Config_Handlers/Config_Handlers.mpc
        * DAnCE/DAnCE/DAnCE_Loader.h
        * DAnCE/DAnCE/DAnCE_Properties.idl
        * DAnCE/DAnCE/Deployment_common.h
        * DAnCE/Deployment/DAnCE_Core.mpc
        * DAnCE/Deployment/DAnCE_Loader.h
        * DAnCE/Deployment/DAnCE_Properties.idl
        * DAnCE/Deployment/Deployment.idl
        * DAnCE/Deployment/Deployment_Application.idl
        * DAnCE/Deployment/Deployment_ApplicationManager.idl
        * DAnCE/Deployment/Deployment_Base.idl
        * DAnCE/Deployment/Deployment_common.h
        * DAnCE/Deployment/Deployment_DeploymentPlan.idl
        * DAnCE/Deployment/Deployment_NodeManager.idl
        * DAnCE/Deployment/Deployment_Packaging_Data.idl
        * DAnCE/Deployment/Deployment_RepositoryManager.idl
        * DAnCE/Deployment/Deployment_ResourceCommitmentManager.idl
        * DAnCE/Deployment/Deployment_stub_export.h
        * DAnCE/Deployment/Deployment_svnt_export.h
        * DAnCE/Deployment/Deployment_TargetData.idl
        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp
        * DAnCE/NodeApplication/NodeApplication.mpc
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeManager/Node_Manager_Module.cpp
        * DAnCE/NodeManager/Node_Manager_Module.h
        * DAnCE/NodeManager/NodeManager_Impl.h
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Module.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Module.h
        * DAnCE/RepositoryManager/Repository_Manager_Module.cpp
        * DAnCE/RepositoryManager/Repository_Manager_Module.h
        * DAnCE/TargetManager/Target_Manager_Module.cpp
        * DAnCE/TargetManager/Target_Manager_Module.h
          Removed DAnCE/Deployment to just contain the spec compliant IDL,
          non compliant parts have been moved to DAnCE/DAnCE. All using
          code has been updated. We did found some problems in the OMG IDL
          07-02-01 which has been reported to the OMG:
          - LastConfiguration and InvalidReference are listed in 07-02-01
            but not used at all.
          - PlanLocalityKind members have a Plan prefix to resolve a conflict
            with LocalityKind::SameProcess.
          All extensions for DDS4CCM have now a comment indicating that

Tue Feb 16 12:32:37 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
          Resolved shutdown errors.

Tue Feb 16 10:54:26 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver.idl:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.h:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Updater/descriptors/Plan.cdp:
          Added data listener and test thread switch for this
          data listener.

Tue Feb 16 09:45:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp:
          Improved code for thread switch.

        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
          Removed reader implementation since it's unnecessary. Also
          optimized logging.

        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender_exec.cpp:
          Improved logging.

Tue Feb 16 08:23:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Config_Handlers/Config_Handlers.mpc
        * DAnCE/Config_Handlers/DynAny_Handler/DynAny_Handler.mpc
        * DAnCE/Config_Handlers/Package_Handlers/Package_Handlers.mpc
        * DAnCE/Deployment/DAnCE_Core.mpc
        * DAnCE/DomainApplication/DomainApplication.mpc
        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h
        * DAnCE/MPC/config/ciao_config_handlers.mpb
        * DAnCE/MPC/config/ciao_config_handlers_base.mpb
        * DAnCE/MPC/config/ciao_nodeapplication.mpb
        * DAnCE/MPC/config/ciao_nodeapplicationmanager.mpb
        * DAnCE/MPC/config/ciao_plan_generator.mpb
        * DAnCE/MPC/config/ciao_targetmanager_stub.mpb
        * DAnCE/MPC/config/ciao_targetmanager_svnt.mpb
        * DAnCE/MPC/config/dance_applicationmanager_skel.mpb
        * DAnCE/MPC/config/dance_component_server.mpb
        * DAnCE/MPC/config/dance_component_server_svnt.mpb
        * DAnCE/MPC/config/dance_config_handlers.mpb
        * DAnCE/MPC/config/dance_config_handlers_base.mpb
        * DAnCE/MPC/config/dance_deployment_skel.mpb
        * DAnCE/MPC/config/dance_deployment_svnt.mpb
        * DAnCE/MPC/config/dance_domainapplication_skel.mpb
        * DAnCE/MPC/config/dance_executionmanager_skel.mpb
        * DAnCE/MPC/config/dance_extension_stub.mpb
        * DAnCE/MPC/config/dance_nodeapplication_skel.mpb
        * DAnCE/MPC/config/dance_nodemanager_skel.mpb
        * DAnCE/MPC/config/dance_nodemanager_svnt.mpb
        * DAnCE/MPC/config/dance_output.mpb
        * DAnCE/MPC/config/dance_plan_generator.mpb
        * DAnCE/MPC/config/dance_repositorymanager.mpb
        * DAnCE/MPC/config/dance_repositorymanager_skel.mpb
        * DAnCE/MPC/config/dance_targetmanager.mpb
        * DAnCE/MPC/config/dance_targetmanager_skel.mpb
        * DAnCE/MPC/config/dance_tm_daemon.mpb
        * DAnCE/NodeApplication/NodeApplication.mpc
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/RepositoryManager/RepositoryManager.mpc
        * DAnCE/TargetManager/TargetManager.mpc
        * DAnCE/TargetManager/TM_Client.mpc
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/em_launcher.mpc
        * DAnCE/tests/CIAO/NodeManager-Deployments/nm_launcher.mpc
        * DAnCE/tests/Config_Handlers/Config_Handlers.mpc
        * DAnCE/tests/Config_Handlers/DynAny_Handler/test.mpc
        * DAnCE/tests/Config_Handlers/Package_Handlers/Package_Handlers.mpc
        * DAnCE/tests/DeploymentPlanDump/DeploymentPlanDump.mpc
        * DAnCE/tests/DeploymentPlanTestReferences/DeploymentPlanTestReferences.mpc
        * DAnCE/tests/DeploymentTest1/DeploymentTest1.mpc
        * DAnCE/Utils/DAnCE_Utils.mpc
          Cleanup of DAnCE base projects

Mon Feb 15 19:48:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DAnCE
        * DAnCE/DAnCE/CIAO_Interfaces.mpc
        * DAnCE/DAnCE/CIAO_NodeManagerDaemon.idl
        * DAnCE/Deployment/ciao
        * DAnCE/Deployment/ciao/CIAO_ExecutionManagerDaemon.idl
        * DAnCE/Deployment/ciao/CIAO_Interfaces.mpc
        * DAnCE/Deployment/ciao/CIAO_NodeManagerDaemon.idl
        * DAnCE/Deployment/ciao/Module_Main.h
        * DAnCE/ExecutionManager/Execution_Manager_Exec.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h
        * DAnCE/MPC/config/ciao_nodemanager_skel.mpb
        * DAnCE/MPC/config/ciao_nodemanager_stub.mpb
        * DAnCE/NodeManager/Node_Manager_Exec.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Exec.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Module.cpp
        * DAnCE/RepositoryManager/Repository_Manager_Exec.cpp
        * DAnCE/TargetManager/Target_Manager_Exec.cpp
        * DAnCE/TargetManager/TM_Client.mpc
          Moved DAnCE/Deployment/ciao to DAnCE/DAnCE and removed the
          CIAO_NodeManagerDeamon interface, it was not used at all

Mon Feb 15 19:05:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Deployment/ciao/CIAO_NodeManagerDaemon.idl:
          Fixed comments and removed commented out stuff

        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/TargetManager/Target_Manager_Module.cpp
          Fixed typo in comment

        * DAnCE/Plan_Launcher/Plan_Launcher_Module.cpp:
          Fixed warning

        * DAnCE/RepositoryManager/PC_Updater.cpp:
        * DAnCE/RepositoryManager/PC_Updater.h
          Layout and documentation fixes

        * DAnCE/RepositoryManager/repository_manager_admin.cpp:
          Unicode fixes

        * DAnCE/RepositoryManager/Repository_Manager_Module.cpp
        * DAnCE/RepositoryManager/Repository_Manager_Module.h
          Removed not used servant map

        * DAnCE/RepositoryManager/RepositoryManager.cpp:
          Doxygen fixes

        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/RepositoryManager/RM_Helper.cpp
        * DAnCE/RepositoryManager/RM_Helper.h
          Layout changes

        * DAnCE/TargetManager/DAnCE_TargetManagerDaemon.idl:
          Removed, this interface was used, but not implemented at all

        * DAnCE/TargetManager/TargetManager.mpc:
          Removed obsolete projects

        * DAnCE/TargetManager/TargetManager_Impl.cpp
        * DAnCE/TargetManager/TargetManager_Impl.h
          removed not used shutdown

Mon Feb 15 14:04:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp
        * DAnCE/TargetManager/DomainDataManager.cpp
        * DAnCE/TargetManager/DomainDataManager.h
        * DAnCE/TargetManager/ResourceCommitmentManager.cpp
        * DAnCE/TargetManager/ResourceCommitmentManager.h
        * DAnCE/TargetManager/TargetManager_Impl.cpp
          Various code improvements

Mon Feb 15 13:32:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.h:
          Various code improvements

Mon Feb 15 13:20:10 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/DomainApplication/Domain_Application_Impl.cpp:
          Throwing exception when errors occur during shutdown.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          New line appended to log message.

        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Module.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Module.cpp:
          Throwing and catching exceptions when errors occur
          during shutdown. When errors occur, ccm_remove is not
          invoked and when it isn't, tests seems to be ok while they're
          not.

        * connectors/dds4ccm/docs/ccm_dds.idl:
          Layout changes.

        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp:
          Added trace.

        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
          Optimized logging.

Mon Feb 15 13:15:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/TargetManager_exec.cpp:
        * DAnCE/TargetManager/TargetManager_exec.h:
          Removed, not used

        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/TargetManager/DomainDataManager.cpp
        * DAnCE/TargetManager/DomainDataManager.h
        * DAnCE/TargetManager/ResourceCommitmentManager.cpp
          Reduced includes and dependencies

Mon Feb 15 12:50:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Deployment/ciao
        * DAnCE/Deployment/ciao/CIAO_ExecutionManagerDaemon.idl
        * DAnCE/Deployment/ciao/CIAO_Interfaces.mpc
        * DAnCE/Deployment/ciao/CIAO_NodeManagerDaemon.idl
        * DAnCE/Deployment/ciao/Module_Main.h
        * DAnCE/Deployment/CIAO_ExecutionManagerDaemon.idl
        * DAnCE/Deployment/CIAO_Interfaces.mpc
        * DAnCE/Deployment/CIAO_NodeManagerDaemon.idl
        * DAnCE/Deployment/DAnCE_Core.mpc
        * DAnCE/Deployment/Deployment_common.h
        * DAnCE/Deployment/Deployment_NodeManager.idl
        * DAnCE/Deployment/Module_Main.h
        * DAnCE/DomainApplication/Domain_Application_Impl.cpp
        * DAnCE/DomainApplication/Domain_Application_Impl.h
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Exec.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h
        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp
        * DAnCE/MPC/config/dance_domainapplicationmanager_skel.mpb
        * DAnCE/MPC/config/dance_domainapplicationmanager_stub.mpb
        * DAnCE/MPC/config/dance_nodeapplication_stub.mpb
        * DAnCE/MPC/config/dance_nodeapplicationmanager_skel.mpb
        * DAnCE/MPC/config/dance_nodeapplicationmanager_stub.mpb
        * DAnCE/NodeManager/Node_Manager_Exec.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Exec.cpp
        * DAnCE/RepositoryManager/Repository_Manager_Exec.cpp
        * DAnCE/TargetManager/Target_Manager_Exec.cpp
          Moved the CIAO specific idl/code from DAnCE/Deployment to
          DAnCE/Deployment/ciao and updated using code. Move
          ApplicationManager to its own DLL and enabled in some projects
          AMI.

Mon Feb 15 09:50:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Optimized logging regarding domain_id.

Mon Feb 15 09:35:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
          Changed the startup sequence. Don't use a sleep.

        * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:
          Extended test time.

Mon Feb 15 09:19:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
          Layout changes

        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/run_test.pl:
          Extend test with two connectors sharing the same topic.

Fri Feb 12 19:08:36 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dance_applicationmanager.mpb:
        * MPC/config/dance_applicationmanager_skel.mpb:
        * MPC/config/dance_applicationmanager_stub.mpb:
          New base projects for the dance am library

Fri Feb 12 18:49:36 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector_exec.h:
          Added some missing includes

Fri Feb 12 18:31:36 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Null_Component_Glfa/Null_Component.mpc:
          Removed not needed after

Fri Feb 12 15:50:36 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
          Reusing topic when reusing a domainparticipant.

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Optimized logging.

Fri Feb 12 13:18:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.idl:
        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector_exec.h:
        * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver.idl:
        * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver_exec.h:
        * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver_exec.cpp:
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender.idl:
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender_exec.h:
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender_exec.cpp:
          Moved typed module ShapeType from the CCM_DDS module to the Shapes module
          and renamed it to ShapeTypeConn.

Fri Feb 12 12:37:15 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.idl:
        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector_exec.h:
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver.idl:
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender.idl:
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.idl:
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector_exec.h:
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver.idl:
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.idl:
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver.idl:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender.idl:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.h:
          Moved typed module TestTopic from the CCM_DDS module to the TestTopic module
          and renamed it to TestTopicConn.

Fri Feb 12 11:31:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
          Changed number of RELIABLE_READER_ACTIVITY_CHANGED_STATUS. This now
          reflects the DDS_RELIABLE_READER_ACTIVITY_CHANGED_STATUS.

        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.idl:
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector_exec.h:
          Moved typed connector to the test module.

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver.idl:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
          Added a reader. Stopping reading after a while.
          Also changes related to movement of the connector.

        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender.idl:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
          Changed timing.

        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/Plan.cdp:
          Added reader connection.

        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/USER_QOS_PROFILES.xml:
          Removed some unused settings.

        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/run_test.pl:
          Sleeping 20 seconds.

Thu Feb 11 15:41:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Updated.

Thu Feb 11 15:26:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.cpp:
          Don't need to test thread switch in the receiver because
          on_offered_deadline_missed-status is not related to a subsciber and should not
          be reaceived.

Thu Feb 11 15:22:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Updated to reflect the latest status.

        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.cpp:
          Resolved test errors.

Thu Feb 11 11:34:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Utils.h:
          Added RELIABLE_READER_ACTIVITY_CHANGED_STATUS to string
          conversion.

        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
          Layout changes.

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
          Enabled listener.

        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/USER_QOS_PROFILES.xml:
          Added ON_LIVELINESS_LOST status test.

        * connectors/dds4ccm/tests/Reader/descriptors/Plan.cdp:
          Removed ConnectorStatusListener from connection list.

Thu Feb 11 10:42:55 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Null_Component_Glfa/Null_Component.mpc:
          Glem is required

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc:
          Small cleanup

Thu Feb 11 08:31:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver.idl:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.cpp:
          Improved test by using a timer to check for last sample in DDS.

        * connectors/dds4ccm/tests/Reader/descriptors/Plan.cdp:
          Incremented iterations

Thu Feb 11 02:27:37 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * bin/ciao_tests.lst:

          Add TAO/CIAO/examples/Null_Component_Glfa to the list of
          daily tests we run so we can ensure that the feature
          is still functional.

Thu Feb 11 02:21:29 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Null_Component_Glfa/Null_Component.mpc:
        * examples/Null_Component_Glfa/Null_Interface.mpc:

          Decorated project names with Glfa token so project names
          won't clash with the Null_Component example.

Wed Feb 10 22:22:55 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/idl/dds4ccm_Base.idl:

          Removed the line '#define connector component'

Wed Feb 10 21:36:32 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Null_Component_Glfa/Null_Interface.mpc:

          Minor changes to the MPC files to accomodate Glfa changes.

Wed Feb 10 21:15:28 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Null_Component_Glfa/StaticDAnCEApp.cpp:
        * examples/Null_Component_Glfa/StaticDAnCEApp.mpc:
        * examples/Null_Component_Glfa/plan.h:

          Removed these files. They are not relavent to the Glfa
          example.

Wed Feb 10 21:13:53 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Null_Component_Glfa/Null_Component.mpc:

          Added -Glfa option to the project.

Wed Feb 10 21:02:03 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * examples/Null_Component_Glfa/*:

          We should have an example to test the -Glfa feature.
          This is a place holder for now, more modifications
          are needed to make this functional.

Wed Feb 10 19:49:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Using refcounting of CORBA::LocalObject since it's thread safe.

        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
          Removed unnecessary debug statement.

Wed Feb 10 15:33:37 UTC 2010  Marijke Hengstmengelt  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.h:
        Use a High_Res_Timer in sender in order to make it possible to send more messages in a timeinterval.

Wed Feb 10 14:23:51 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
          Checking whether a connection to the reader is in place before read.

        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.cpp:
          Wait a while before informing the receiver that the samples
          were written.

Wed Feb 10 14:06:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          SharedDomainParticipant tests should work again.

        * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Made DomainParticipant proxy class refcounted. Prevented
          deleting the DomainParticipant proxy when still in use.

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Optimized logging.

Wed Feb 10 10:26:55 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.h:
          Removed generated headers

Wed Feb 10 10:03:26 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp:
          Implemented thread switch for DataReaderStateListener.

        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.idl:
          Layout changes.

Wed Feb 10 09:36:55 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/IDL3_Plus/KitchenSink.idl:
          Extended native example

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.mpc:
          Added the exec export flags to get svn head to compile

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl:
          Added another pragma

Wed Feb 10 08:12:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.cpp:
          Preparing thread switch DataReaderStateListener_T.

        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
          Code alignment.

        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
          Check on error listeners pointer.

        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
          Optimized logging. Code alignment.

Wed Feb  10 8:10:37 UTC 2010  Marijke Hengstmengelt  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.h:
        Removed unused parameter.

Tue Feb  9 22:57:04 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.mpc:

          Added generation of connector export header file, and cosmetic
          changes.

        * MPC/config/connectoridldefaults.mpb:

          Added command line options to trigger generation of connector
          implementation and connector export header file.

Tue Feb  9 13:27:37 UTC 2010  Marijke Hengstmengelt  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.idl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/USER_QOS_PROFILES.xml:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver.idl:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender.idl:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.h:
        Get and print throughput statistics, print latency one way, code optimalizations.

Tue Feb  9 13:27:37 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.idl:
        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector_exec.h:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.idl:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
          Moved typed module Hello to Hello namespace (instead of leaving
          it in the CCM_DDS namespace).

Tue Feb  9 13:25:17 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Valuetype_Factories/Cookies.h:
          Layout change

        * tests/IDL_Test/IDL3_Plus/KitchenSink.idl:
          Added commented out example using native that causes tao_idl to crash

Tue Feb  9 12:49:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.h:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.h:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.cpp:
          Code alignment in order to be consistent with other tests.

Tue Feb  9 12:36:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/ConnectorStatusListener_Test_Receiver_exec.cpp:
          Optimized logging.

        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Sender/ConnectorStatusListener_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Sender/ConnectorStatusListener_Test_Sender_exec.cpp:
          Added test for thread switch.

Tue Feb  9 12:24:14 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.cpp:
          Optimized logging.

        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.cpp:
          Added test for thread switch.

        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender_exec.cpp:
          Resolved compiler warnings on Linux.

Tue Feb  9 12:02:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.cpp:
          Code alignment and optimized logging.

        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender_exec.cpp:
          Added thread switch test.

        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.h:
          Code aligning.

Tue Feb  9 11:04:46 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
          Added thread swich test to Sender component.

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
          Optimized logging.

Tue Feb  9 10:21:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
          Minor code changes.

        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
          Tested thread switch on sender side. Minor code changes.

Tue Feb  9 10:15:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/ComponentServer/CIAO_RTComponentServer_Task.cpp:
          Fixed memory leak

        * connectors/ami4ccm/docs/AMI4CCM-explanation.odt:
        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
          Small updates

Tue Feb  9 10:03:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Reader/Base/Reader_Starter.idl:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.cpp:
          Since on_data_on_readers is not available anymore, this test
          didn't start. Resolved this by letting the receiver know that
          all samples were written.

Tue Feb  9 09:29:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
          Resolved compiler issue.

Tue Feb  9 08:40:07 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
          When DDS returns nil as a listener, we don't need
          to create a proxy. Just return nil will be enough.
          Implemented get_listener methods.

Mon Feb  8 20:22:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Updated.

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
          Optimized logging.

        * connectors/dds4ccm/tests/ListenManyByMany/Receiver/LMBM_Test_Receiver.idl:
        * connectors/dds4ccm/tests/ListenManyByMany/Receiver/LMBM_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ListenManyByMany/Receiver/LMBM_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver.idl:
        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver.idl:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.cpp:
          Since on_data_on_readers is not available anymore, these tests
          didn't start. Resolved this by start listening on ccm_activate.

Mon Feb  8 15:14:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector_exec.h:
          Added explicit global scope

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl:
          Added pragma rti typesupport to indicate the name of the typesupport
          header that will be generated by rtiddsgen. We need to know the
          name of this file when generating the dds4ccm connectors by tao_idl

Mon Feb  8 15:00:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
          Extended test with on_publication_matched. Also implemented test regarding
          thread switch for all unexpected statusses to be received (instead of
          one thread switch test for all statussses).

Mon Feb  8 13:49:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver.idl:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.cpp:
          Add tests for thread switch.

        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.cpp:
          Code aligning.

Mon Feb  8 13:33:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
          Fixed incorrect path

Mon Feb  8 13:16:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp
        * connectors/dds4ccm/impl/ndds/DataReader.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp
        * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.cpp
        * connectors/dds4ccm/impl/ndds/InstanceHandleManager_T.cpp
        * connectors/dds4ccm/impl/ndds/Publisher.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp
        * connectors/dds4ccm/impl/ndds/ReadCondition.cpp
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp
        * connectors/dds4ccm/impl/ndds/StatusCondition.cpp
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
        * connectors/dds4ccm/impl/ndds/Topic.cpp
        * connectors/dds4ccm/impl/ndds/TopicDescription.cpp
        * connectors/dds4ccm/impl/ndds/Writer_T.cpp
        * DAnCE/TargetManager/ResourceCommitmentManager.cpp
          Removed generated comments which didn't had any value

Mon Feb  8 13:02:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
          Resolved compiler issue.

        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/ConnectorStatusListener_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/ConnectorStatusListener_Test_Receiver_exec.cpp:
          Extended test with thread switch test.

Mon Feb  8 12:28:48 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.cpp:
          Replaced DDS_STATUS_MASK_NONE with 0 since DDS_STATUS_MASK_NONE
          is not part of the DDS spec. Also using the DDS namespace to
          determine mask.

Mon Feb  8 12:03:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
          Shouldn't propagate on_data_on_readers to the user component.

Mon Feb  8 11:35:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataWriterListener_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
          Moved all empty inline methods from header to source file.

Mon Feb  8 11:15:00 UTC 2010  Marcel Smit  <msmit@remedy.nl>


        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
          Added test scenario for thread switch.

        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
          Optimized logging regarding thread switch test.

Mon Feb  8 10:56:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.mpc:
          Added missing after

        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
          Layout change

Mon Feb  8 09:54:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
          Only test thread switch when CIAO_DDS4CCM_CONTEXT_SWITCH is turned on.

Mon Feb  8 07:46:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/ComponentServer/CIAO_ComponentServer_Task.cpp:
          Fixed memory leak

Fri Feb  5 19:45:46 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.h:
        * tools/IDL3_to_XMI/IR_Simulator_visitor.cpp:
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp:
        * tools/IDL3_to_XMI/IR_Simulator_visitor.h:

          Updates to eliminate build errors due to frontend
          changes in home factories and finders. Further
          work is needed for this tool to support home factories
          and finders.

Fri Feb  5 15:02:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver_exec.cpp:
          Implemented thread switch. Test result was incorrectly printed.

        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
          Code aligning.

Fri Feb  5 14:07:48 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/TimeConversion/Time_Conversion.mpc:
          Resolved compiler issues on windows.

Fri Feb  5 13:11:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Updated.

        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:
          Test on thread handle is NIL.

        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
          Tested thread switch for StatusListener.

Fri Feb  5 12:37:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.h:
          Code aligning.

        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:
          Tested thread switch for PortStatusListener.

Fri Feb  5 12:10:58 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Added new tests.

        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
          Tested thread switch for ConnectorStatusListener.

        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.cpp:
          Tested thread switch for ReaderListener.

Fri Feb  5 10:07:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDSCallbackStatusHandler.h:
        * connectors/dds4ccm/impl/ndds/DDSCallbackStatusHandler.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/ndds_impl.mpc:
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.h:
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.cpp:
          Renamed OnUnexpectedStatusHandler to DDSCallbackStatusHandler.

Fri Feb  5 09:38:48 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.h:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.h:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.cpp:
          Only use the DDS listener callbacks when the listener
          connection is there or when logging is required.

Fri Feb  5 07:25:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/TimeConversion/time_conversion.cpp:
          Resolved compiler issue.

Thu Feb  4 15:44:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/IDL3_Plus/KitchenSink.idl:
          Added a test related to 3819

Thu Feb  4 15:27:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tests/TimeConversion:
        * connectors/dds4ccm/tests/TimeConversion/Time_Conversion.mpc:
        * connectors/dds4ccm/tests/TimeConversion/run_test.pl:
        * connectors/dds4ccm/tests/TimeConversion/time_conversion.cpp:
          Added test for testing conversions from and to DDS::Time_t.

Thu Feb  4 15:21:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Utils.h:
          Resolved runtime issues regarding logging an instance_handle

Thu Feb  4 14:09:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/ComponentAttributesSetter.cpp:
          Cleanup and log which attribute is causing the exception

Thu Feb  4 13:21:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Utils.h:
        * connectors/dds4ccm/impl/ndds/Utils.cpp:
          Resolved compiler issues on windows.

Thu Feb  4 12:42:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
          Resolved compiler errors.

Thu Feb  4 12:37:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.h:
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.cpp:
          Resolved compiler errors.

Thu Feb  4 12:31:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.h:
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.cpp:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.cpp:
          Added status logging for each DDS callback. Also implemented
          thread switch.

Thu Feb  4 11:45:20 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
          Corrected mask and according methods.

Thu Feb  4 10:46:25 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
          Code aligning.

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
        * connectors/dds4ccm/impl/ndds/DataWriterListener_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener_T.h:
          Added implementation regarding
          ReliableReaderActivityChangedStatus.

        * connectors/dds4ccm/impl/ndds/PublisherListener_T.h:
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.cpp:
          Added status logging for each DDS callback.

        * connectors/dds4ccm/impl/ndds/Utils.h:
        * connectors/dds4ccm/impl/ndds/Utils.cpp:
          Added helper methods for status logging in
          DDS callbacks.

        * connectors/dds4ccm/impl/ndds/TimeUtilities.h:
          Removed unnecessary comment.

        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.idl:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/Plan.cdp:
          Rewritten to test all unexpected status. Also removed unused
          DDS callbacks and realigned some code.

Thu Feb  4 10:38:43 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_2130_Regression/descriptors/run_test.pl:
        * tests/Bug_3769_Regression/descriptors/run_test.pl:
        * tests/IDL_Test/Double_Inherited_Component/run_test.pl:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/run_test.pl:
        * DAnCE/tests/CIAO/NodeManager-Deployments/run_test.pl:
        * DAnCE/tests/CIAO/CommandlinePassage/run_test.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/InstanceHandle/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLManyByMany/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PSLDeadline/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/KeyedSamples/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLSampleRejected/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UnkeyedSamples/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenNotEnabled/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Getter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenOneByOne/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLUnexpStat/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/KeyedWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/State_Connection_Test/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Event_Connection_Test/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/UnkeyedWriter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/PSLSampleLost/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Reader/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/ListenManyByMany/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLQoS/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/Updater/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/DDSWriterEntity/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLDisabled/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/CSLDeadline/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/QueryFilter/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SLOneByOne/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SetConnectorAttributes/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Quoter/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_1_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_1.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_test.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:
        * connectors/dds4ccm/examples/Shapes/descriptors/run_test.pl:
        * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl:
        * examples/Hello/descriptors/run_test_without_ns.pl:
        * examples/Hello/descriptors/run_test_alias.pl:
        * examples/Hello/descriptors/run_test.pl:
        * examples/BasicSP/descriptors/run_test.pl:
        * examples/DevGuideExamples/Messenger/StaticDAnCE/run_test.pl:
        * examples/DevGuideExamples/Messenger/descriptors/run_test.pl:
        * examples/Null_Component/descriptors/run_test.pl:

         Added cleanup code to kill off remaining ciao_componentserver processes
         (in case of certain test failures) since these otherwise tend to choke test
         machines.

Thu Feb  4 10:30:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/IDL3_Plus/KitchenSink.idl:
          Extended this idl file

        * tests/IDL_Test/IDL3_Plus/KitchenSink.mpc:
          enabled this test for compilation again

Thu Feb  4 10:25:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Servants/Home_Servant_Impl_T.h:
          Layout changes

        * tests/IDL_Test/Two_Templ_Args/TwoTemplArgs.mpc:
          New MPC file, this test compiles fine now

Thu Feb  4 10:23:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/IDL3_to_IDL2/basic_visitor.cpp
        * tools/IDL3_to_IDL2/basic_visitor.h
        * tools/IDL3_to_IDL2/checking_visitor.cpp
        * tools/IDL3_to_IDL2/checking_visitor.h
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.h
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.h
        * tools/IDL3_to_XMI/IR_Simulator_visitor.cpp
        * tools/IDL3_to_XMI/IR_Simulator_visitor.h
          Merged changes from idl3_plus_backend2 branch to svn head

Thu Feb 4 09:22:31 UTC 2009  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
        Solve some compiler warnings.

Wed Feb  3 15:08:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp:
          Reduced scope of the try/catch blocks

Wed Feb  3 13:16:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.h
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderStateListener_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Event_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.h
        * connectors/dds4ccm/impl/ndds/DDS_State_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.h
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.cpp
        * connectors/dds4ccm/impl/ndds/PortStatusListener_T.h
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp
          Distribute the reactor through the connector code

Wed Feb  3 12:10:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Event_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_State_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.cpp
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.h
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp
          Extended thread swit code, if you want to use this feature,
          add CIAO_DDS4CCM_CONTEXT_SWITCH as 1 to your config.h file,
          the code is not tested yet, when that is done, we will enable
          this flag by default

Wed Feb  3 11:59:43 UTC 2010  Marijke Hengstmengel  <mhengstmengle@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.idl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_pub.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/Plan_sub.cdp:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_pub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_sub.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/run_test.pl:
        * connectors/dds4ccm/performance-tests/Keyed/descriptors/USER_QOS_PROFILES.xml:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender.idl:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.h:
        Split in publisher and subscriber proces. Use other time functions. Set some attributes.

Wed Feb  3 11:30:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.cpp:
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.h:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener_T.h:
          Thread switch for the on_inconsistent_topic

Wed Feb  3 11:19:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.cpp
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.h
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.h
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h
          More thread switch infrastructure code

Wed Feb  3 08:10:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Two_Templ_Args/TwoTemplArgs.idl:
          New IDL3+ test file, fails to compile, when TAO_IDL can
          handle this, we will add the mpc file

Tue Feb  2 12:43:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.h:
          Added missing export

        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
          create eh when there is a reactor

Tue Feb  2 12:36:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.h
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp
        * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.cpp
        * connectors/dds4ccm/impl/ndds/OnUnexpectedStatusHandler.h
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.h
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h
          More rework for the thread switch

Tue Feb  2 12:34:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CIAO/CommandlinePassage/CommandlinePassage.mpc:
          This test doesn't dependent on dds4ccm

Tue Feb  2 12:32:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Double_Inherited_Component/Inherited_components.mpc:
          This test doesn't dependent on dds4ccm

Tue Feb  2 12:14:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Event_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_State_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.h
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.cpp
        * connectors/dds4ccm/impl/ndds/PublisherListener_T.h
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h
          More rework for the thread switch

Tue Feb  2 10:44:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.h
        * connectors/dds4ccm/impl/ndds/DDS_Event_Connector_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.h
        * connectors/dds4ccm/impl/ndds/TopicListener_T.h
          The internal dds4ccm classes will get an ACE_Reactor point, if
          that is set, they will handle the thread switch using that
          reactor. From the connector side we than only have to pass a
          zero pointer or a pointer to a valid reactor

Tue Feb  2 09:49:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector_exec.h
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.h
        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector_exec.h
        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector_exec.h
        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector_exec.h
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector_exec.h
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector_exec.h
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector_exec.h
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector_exec.h
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector_exec.h
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector_exec.h
        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector_exec.h
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector_exec.h
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector_exec.h
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector_exec.h
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector_exec.h
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector_exec.h
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector_exec.h
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector_exec.h
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/CSL_TestSec_Connector_exec.h
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector_exec.h
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector_exec.h
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector_exec.h
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector_exec.h
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector_exec.h
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector_exec.h
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector_exec.h
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector_exec.h
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SL_OneByOne_Connector_exec.h
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector_exec.h
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector_exec.h
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector_exec.h
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector_exec.h
          removed not needed include of LocalObject

        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderHandler_T.h
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.h
          First rework to implement the required thread switch

Mon Feb  1 19:16:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.idl:
          Removed commented out code

        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.mpc:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.mpc
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component.mpc
          Cleanup

        * MPC/config/ciao_dds4ccm_ndds_impl.mpb:
          Deleted, not used

Sun Jan 31 01:04:43 CST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 0.7.6 released.

Fri Jan 29 13:36:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/OMG-CCM-Tutorial.ppt:
          Updated some more parts to match more closely to the current situation

Thu Jan 28 19:19:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/OMG-CCM-Tutorial.ppt:
          Updated several parts to match more closely to the current situation

Thu Jan 28 08:50:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.mpc:
          Resolved dependency.

Thu Jan 28 07:59:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3817_Regression/Bar.idl:
          Enabled all idl, this bug has been fixed by Jeff

Wed Jan 27 14:26:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.idl
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl
        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.idl
        * connectors/dds4ccm/idl/ccm_dds.idl
        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.idl
        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.idl
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.idl
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.idl
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.idl
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.idl
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.idl
        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.idl
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.idl
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.idl
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.idl
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/ConnectorStatusListener_TestSec_Connector.idl
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.idl
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.idl
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector.idl
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.idl
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector.idl
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.idl
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.idl
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SL_OneByOne_Connector.idl
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.idl
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.idl
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.idl
        * tests/IDL_Test/IDL3_Plus/KitchenSink.idl
          TAO_IDL has now partly support for templated modules in the front end, but
          testing shows that this is enough for our current tets. Much more seperate
          tests will be created and more work has to be done, but this is a good
          step in the right direction

Wed Jan 27 10:00:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
          Added !NO_IDL3_TO_XMI in order to disable idl3_to_xmi tests with cross
          platform testing

Wed Jan 27 09:41:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/TimeUtilities.h:
          Fixed msvc warnings

Wed Jan 27 08:34:36 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Sender/ConnectorStatusListener_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.cpp:
          Updated value of the keys.

        * connectors/dds4ccm/impl/ndds/TimeUtilities.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.cpp:
          Added operators in order to convert DDS::Time_T to ACE_Time_Value and
          vice versa. The logging now uses ACE_Time_Value to print the timestamp.

Wed Jan 27 06:47:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3817_Regression/Bar.idl:
          Fixed fuzz and commented out the double provides, that will
          make the scoreboard turn green again for the moment

Tue Jan 26 23:07:18 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * tests/Bug_3817_Regression/Bar.idl:
        * tests/Bug_3817_Regression/Bar.mpc:

          Renamed to avoid project name conflicts with another regression
          test.

        * tests/Bug_3817_Regression/Foo.idl:
        * tests/Bug_3817_Regression/Foo.mpc:

          Removed these files.

Tue Jan 26 22:48:49 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * tests/Bug_3817_Regression:
        * tests/Bug_3817_Regression/Foo.idl:
        * tests/Bug_3817_Regression/Foo.mpc:

          This test show an example where TAO_IDL does not generate
          correct executor code.

Tue Jan 26 19:56:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:
          Also build with cross compilation

Tue Jan 26 14:33:35 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Reverted the implementation of 1 dp per qos_profile for
          now. There are some issue regarding which need te be
          resolved first.

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
          Don't use delete_contained_entities.

        * connectors/dds4ccm/impl/ndds/Subscriber.h:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
          Renaming variable.

Tue Jan 26 14:12:26 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
        Compile warning solved.

Tue Jan 26 13:02:26 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Connector/Perf_Keyed_Test_Connector.mpc:
        Rename long project name.

Tue Jan 26 11:39:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
          Resolved compiler errors/warnings on Linux.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Replaced InternalError with InternalErr.

Tue Jan 26 11:20:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/Performance:
        * connectors/dds4ccm/performance-tests:
          Renamed to performance-tests

Tue Jan 26 10:41:26 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/Performance
        * connectors/dds4ccm/tests/Performance/Keyed
        * connectors/dds4ccm/tests/Performance/Keyed/Base
        * connectors/dds4ccm/tests/Performance/Keyed/Base/Perf_Keyed_Test_Base.idl
        * connectors/dds4ccm/tests/Performance/Keyed/Base/Perf_Keyed_Test_Base.mpc
        * connectors/dds4ccm/tests/Performance/Keyed/Connector
        * connectors/dds4ccm/tests/Performance/Keyed/Connector/Perf_Keyed_Test_Connector.idl
        * connectors/dds4ccm/tests/Performance/Keyed/Connector/Perf_Keyed_Test_Connector.mpc
        * connectors/dds4ccm/tests/Performance/Keyed/Connector/Perf_Keyed_Test_Connector_exec.cpp
        * connectors/dds4ccm/tests/Performance/Keyed/Connector/Perf_Keyed_Test_Connector_exec.h
        * connectors/dds4ccm/tests/Performance/Keyed/descriptors
        * connectors/dds4ccm/tests/Performance/Keyed/descriptors/Plan.cdp
        * connectors/dds4ccm/tests/Performance/Keyed/descriptors/run_test.pl
        * connectors/dds4ccm/tests/Performance/Keyed/descriptors/USER_QOS_PROFILES.xml
        * connectors/dds4ccm/tests/Performance/Keyed/Receiver
        * connectors/dds4ccm/tests/Performance/Keyed/Receiver/Perf_Keyed_Test_Receiver.idl
        * connectors/dds4ccm/tests/Performance/Keyed/Receiver/Perf_Keyed_Test_Receiver.mpc
        * connectors/dds4ccm/tests/Performance/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp
        * connectors/dds4ccm/tests/Performance/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.h
        * connectors/dds4ccm/tests/Performance/Keyed/Sender
        * connectors/dds4ccm/tests/Performance/Keyed/Sender/Perf_Keyed_Test_Sender.idl
        * connectors/dds4ccm/tests/Performance/Keyed/Sender/Perf_Keyed_Test_Sender.mpc
        * connectors/dds4ccm/tests/Performance/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp
        * connectors/dds4ccm/tests/Performance/Keyed/Sender/Perf_Keyed_Test_Sender_exec.h
        Add first base of performace tests.

Tue Jan 26 09:29:26 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/InstanceHandle/Connector/Writer_Connector.mpc:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/InstanceHandle/descriptors/Plan.cdp:
          Resolved fuzz warnings.

Tue Jan 26 07:43:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>


        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h:
          Extended == and != operators.
          Resolved compiler warnings.

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tests/InstanceHandle/*:
          Added test in order to test existing operators
          for InstanceHandle_t.

Mon Jan 25 18:25:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp
        * connectors/dds4ccm/impl/ndds/Publisher.cpp
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp
          Const changes

Mon Jan 25 13:59:21 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
          Resolved compiler issue on Linux.

Mon Jan 25 13:19:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
          Fixed fuzz

Mon Jan 25 13:08:46 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_StateListen_T.cpp:
          Setting listener with the appropriate mask. This resolves
          test errors regarding the StateListener.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Changed 'exception' with 'excep'. This'll resolved
          test errors which aren't real errors.

Mon Jan 25 12:04:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
          dpf is now a process wide singleton. This uncovers some issues with
          the sharing of the dp between connectors

Mon Jan 25 11:17:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.cpp
        * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver_exec.cpp
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender_exec.cpp
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
          Const, layout, and debug message changes

Mon Jan 25 10:01:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/MPC/config/dance_redirectionservice.mpb
        * DAnCE/RedirectionService/*
        * DAnCE/tests/ObjectLocatorTest/*
        * DAnCE/tests/RedirectionServiceTest/*
          Removed, redirectionservice isn't working in DAnCE and there are no
          plans to add support for it

Mon Jan 25 09:10:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender.mpc:
          Resolved compiler.

Mon Jan 25 09:01:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Connector/AMI_MyFoo_i.cpp:
        * connectors/ami4ccm/examples/Hello/Connector/AMI_MyFoo_i.h:
          Removed includes to files that have been removed

Mon Jan 25 08:49:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp:
          Always print usage messages

Sat Jan 23 19:08:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp
        * DAnCE/NodeManager/Node_Manager_Module.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp
        * DAnCE/RepositoryManager/repository_manager_admin_exec.cpp
        * DAnCE/RepositoryManager/Repository_Manager_Module.cpp
        * DAnCE/TargetManager/Target_Manager_Module.cpp
          Always print usage messages

Sat Jan 23 18:46:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DomainApplicationManager/Node_Locator.cpp
        * DAnCE/DomainApplicationManager/Node_Locator.h
        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h
        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp
          Unicode fixes

Fri Jan 22 14:59:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.idl:
        * tests/IDL_Test/Included_Component/IC_Bar.idl:
        * tests/IDL_Test/Included_Component/IC_Foo.idl:
          Resolved compiler errors due to pragma ciao lem implementation.

Fri Jan 22 14:52:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/DomainEvents.idl:
          Removed, not used

        * DAnCE/TargetManager/TargetManager_Impl.h:
          Layout changes

Fri Jan 22 14:23:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.h:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/StringSeq.h:
          Added operators in order to copy DDS_StringSeq
          to and from DDS::StringSeq.

        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h:
          Added == and != operator in order to compare a
          DDS_InstanceHandle with a DDS::InstanceHandle_t.

        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp:
          Implemented remaining methods.

        * connectors/dds4ccm/impl/ndds/Reader_T.h:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Implemented remaining implementation of QueryCondition.

Fri Jan 22 12:46:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Contexts/Context_Impl_Base.cpp:
        * ciao/Contexts/Context_Impl_Base.h:
        * ciao/Contexts/Context_Impl_T.cpp:
        * ciao/Contexts/Context_Impl_T.h:
        * ciao/Servants/Servant_Impl_T.cpp:
          Pass the instance id through the constructor

Fri Jan 22 11:59:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Base/Hello.mpc
        * connectors/ami4ccm/examples/Hello/Connector/AMI.idl
        * connectors/ami4ccm/examples/Hello/Connector/AMI.mpc
        * connectors/ami4ccm/examples/Hello/Connector/AMI_MyFoo_i.h
        * connectors/ami4ccm/examples/Hello/Connector/Hello_Base.idl
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.idl
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.idl
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.mpc
          Use the ami4ccm support in TAO_IDL. The support is partly hardcoded
          for just this interface, this is a prototype to show how
          ami4ccm could look like. This needs some more tweaks and testing

Fri Jan 22 11:32:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Getter/Base/Get_Invoker.idl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/ConnectorStatusListener_TestSec_Connector.idl:
        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Starter.idl:
        * connectors/dds4ccm/tests/Reader/Base/Reader_Starter.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.idl:
          Resolved compiler errors due to pragma ciao lem implementation.

Fri Jan 22 10:28:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Servants/Servant_Impl_Base.cpp:
          Add debug line

        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.idl
        * DAnCE/tests/CIAO/Components/SimpleProvider.idl
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.idl
        * examples/BasicSP/BMClosedED/BMClosedED.idl
        * examples/BasicSP/BMDevice/BMDevice.idl
        * examples/DevGuideExamples/Messenger/Messenger.idl
        * examples/Display/GPS/GPS.idl
        * examples/Display/GPS/GPSEI.idl
        * examples/Hello/Sender/Sender.idl
        * examples/Null_Component/Null_Component.idl
          Updated for pragma ciao lem

Thu Jan 21 14:58:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Base/Hello.idl:
          Use the new pragma ciao lem

Thu Jan 21 14:57:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/ami4ccm/ami4ccm.idl:
          Added include guards

Thu Jan 21 14:40:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Connector/AMI_exec.cpp:
          Make sure the executor is always there

Thu Jan 21 14:37:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Benchmark/Benchmark.idl
        * performance-tests/Benchmark/RoundTrip/RoundTrip.idl
        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc
        * performance-tests/Benchmark/RoundTrip/RoundTripEI.idl
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.idl
        * performance-tests/Benchmark/RoundTripClient/RoundTripClientEI.idl
        * performance-tests/Protocols/common/Protocols.idl
        * performance-tests/Protocols/Receiver/Receiver.idl
          Use the new pragma ciao lem

Thu Jan 21 14:07:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPointEI.idl
        * tests/CIDL/CodeGen/Basic.idl
        * tests/CIDL/CodeGen/CodeGen.idl
        * tests/IDL_Test/Included_Component/IC_Bar.idl
        * tests/IDL_Test/Inherited_Component/IhC_Bar.idl
        * tests/IDL_Test/Reused_Facet_Interface/Basic.idl
        * tests/IDL_Test/Reused_Facet_Interface/CodeGen.idl
          Use the new pragma ciao lem

Thu Jan 21 13:55:41 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Resolved last test errors.

Thu Jan 21 13:48:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Connector/Hello_Connector.idl
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.idl
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.idl
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.idl
        * connectors/dds4ccm/examples/Shapes/Connector/Shapes_Connector.idl
        * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver.idl
        * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver.mpc
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender.idl
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender.mpc
          Use the new pragma ciao lem

        * DAnCE/TargetManager/TargetManager.idl:
        * DAnCE/TargetManager/TargetManagerExt.idl:
          Deleted, not used

Thu Jan 21 13:44:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl
        * connectors/dds4ccm/idl/dds4ccm_Base.idl
        * connectors/dds4ccm/idl/dds4ccm_Connector.idl
        * connectors/dds4ccm/idl/dds4ccm_ConnectorStatusListener.idl
        * connectors/dds4ccm/idl/dds4ccm_DataListenerControl.idl
        * connectors/dds4ccm/idl/dds4ccm_PortStatusListener.idl
        * connectors/dds4ccm/idl/dds4ccm_StateListenerControl.idl
        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl
        * connectors/dds4ccm/idl/dds_rtf2_dcps_i_handle.idl
        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.idl
        * connectors/dds4ccm/tests/CSLDeadline/Receiver/CSL_DeadlineTest_Receiver.idl
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender.idl
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.idl
        * connectors/dds4ccm/tests/CSLQoS/Receiver/CSL_QoSTest_Receiver.idl
        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender.idl
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.idl
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver.idl
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender.idl
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.idl
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver.idl
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender.idl
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/DDSWriterEntity/Receiver/Writer_Receiver.idl
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender.idl
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.idl
        * connectors/dds4ccm/tests/Event_Connection_Test/Receiver/Event_Connection_Test_Receiver.idl
        * connectors/dds4ccm/tests/Event_Connection_Test/Sender/Event_Connection_Test_Sender.idl
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.idl
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver.idl
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender.idl
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.idl
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver.idl
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender.idl
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver.idl
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender.idl
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.idl
        * connectors/dds4ccm/tests/ListenManyByMany/Receiver/LMBM_Test_Receiver.idl
        * connectors/dds4ccm/tests/ListenManyByMany/Sender/LMBM_Test_Sender.idl
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.idl
        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver.idl
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender.idl
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.idl
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver.idl
        * connectors/dds4ccm/tests/ListenOneByOne/Sender/LOBO_Test_Sender.idl
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Receiver/ConnectorStatusListener_Test_Receiver.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/ConnectorStatusListener_TestSec_Connector.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Sender/ConnectorStatusListener_Test_Sender.idl
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.idl
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver.idl
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender.idl
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.idl
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver.idl
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender.idl
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector.idl
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver.idl
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender.idl
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.idl
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver.idl
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender.idl
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector1/Connector1.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector2/Connector2.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Connector3/Connector3.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component.idl
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Connector/Connector.idl
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.idl
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver.idl
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender.idl
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.idl
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver.idl
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender.idl
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SL_OneByOne_Connector.idl
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver.idl
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender.idl
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.idl
        * connectors/dds4ccm/tests/State_Connection_Test/Receiver/State_Connection_Test_Receiver.idl
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender.idl
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.idl
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver.idl
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender.idl
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver.idl
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender.idl
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.idl
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver.idl
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender.idl
          Use the new pragma ciao lem

Thu Jan 21 12:32:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Starter.idl:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver.idl:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender.idl:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryFilter/descriptors/Plan.cdp:
          Running tests in the ORB reactor thread (instead of running in a
          DDS callback thread). This is done because you're not allowed to
          set query parameters in a DDS callback thread.
          Therefore removed ConnectorStatusListener and implemented an
          ACE_EventHandler. Also extended tests.

Thu Jan 21 11:42:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Connector/CSL_DeadlineTest_Connector.idl
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender.idl
        * connectors/dds4ccm/tests/CSLQoS/Connector/CSL_QoSTest_Connector.idl
        * connectors/dds4ccm/tests/CSLSampleRejected/Connector/CSL_SRTest_Connector.idl
        * connectors/dds4ccm/tests/CSLUnexpStat/Connector/CSL_USTest_Connector.idl
        * connectors/dds4ccm/tests/DDSWriterEntity/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/Event_Connection_Test/Connector/Event_Connection_Test_Connector.idl
        * connectors/dds4ccm/tests/Getter/Connector/Getter_Test_Connector.idl
        * connectors/dds4ccm/tests/KeyedSamples/Connector/Keyed_Test_Connector.idl
        * connectors/dds4ccm/tests/KeyedWriter/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/ListenManyByMany/Connector/LMBM_Test_Connector.idl
        * connectors/dds4ccm/tests/ListenNotEnabled/Connector/LNE_Test_Connector.idl
        * connectors/dds4ccm/tests/ListenOneByOne/Connector/LOBO_Test_Connector.idl
        * connectors/dds4ccm/tests/NonChangeableAttribute/Connector/NonChangeable_Connector.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Connector/ConnectorStatusListener_Test_Connector.idl
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/SecConnector/ConnectorStatusListener_TestSec_Connector.idl
        * connectors/dds4ccm/tests/PSLDeadline/Connector/PSL_DeadlineTest_Connector.idl
        * connectors/dds4ccm/tests/PSLSampleLost/Connector/PSL_SampleLost_Connector.idl
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector.idl
        * connectors/dds4ccm/tests/Reader/Connector/Reader_Test_Connector.idl
        * connectors/dds4ccm/tests/SetConnectorAttributes/Connector/SetConnectorAttribute_Connector.idl
        * connectors/dds4ccm/tests/SLDisabled/Connector/SL_Disabled_Connector.idl
        * connectors/dds4ccm/tests/SLManyByMany/Connector/SL_ManyByMany_Connector.idl
        * connectors/dds4ccm/tests/SLOneByOne/Connector/SL_OneByOne_Connector.idl
        * connectors/dds4ccm/tests/State_Connection_Test/Connector/State_Connection_Test_Connector.idl
        * connectors/dds4ccm/tests/UnkeyedSamples/Connector/Unkeyed_Test_Connector.idl
        * connectors/dds4ccm/tests/UnkeyedWriter/Connector/Writer_Connector.idl
        * connectors/dds4ccm/tests/Updater/Connector/Updater_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.idl
          Removed some old comments

Thu Jan 21 08:45:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/IDL3_to_IDL2/IDL3_to_IDL2.mpc:
          Compile with cross compile

Thu Jan 21 08:07:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Lem_Pragma:
        * tests/IDL_Test/Lem_Pragma/A.idl:
        * tests/IDL_Test/Lem_Pragma/B.idl:
        * tests/IDL_Test/Lem_Pragma/C.idl:
        * tests/IDL_Test/Lem_Pragma/Lem_Pragma.mpc:
          New test for the new ciao lem pragma support. All tests and examples
          in the archive will be updated to use this new feature

Wed Jan 20 12:28:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
          Resolved compiler error on windows.

        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Throwing an exception when setting the query parameters.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/QueryFilter/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/QueryFilter/descriptors/run_test.pl:
          Added some more tests.

Tue Jan 19 13:59:58 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
          Resolved compiler errors on Windows.

        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Throwing exception when get_expression_parameters does
          not succeed.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Testing and catching proper exceptions.

Tue Jan 19 10:57:12 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
          Implemented get_expression_parameters.

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
          Optimized logging.

        * connectors/dds4ccm/impl/ndds/Reader_T.h:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Implemented getter method for filter.
          Introduced define in order to switch between ContentFilteredTopics
          and QueryConditions.

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component.mpc:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender.mpc:
          Resolved compile errors on windows.

        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Starter.idl:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver.idl:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender.idl:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender_exec.cpp:
          Extended tests.

Mon Jan 18 10:14:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
          Renamed set_topic methods on Reader.

        * connectors/dds4ccm/impl/ndds/Reader_T.h:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Implemented basics of filter method.

        * connectors/dds4ccm/impl/ndds/Subscriber.h:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
          Now able to create a DDSDataReader with a
          ContentFilteredTopic as input.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Resolved bug.

Fri Jan 15 14:02:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader.h:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
          Implemented get_listener methods.
          Some renaming of variables.

        * connectors/dds4ccm/impl/ndds/Reader_T.h:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Rewritten filter method. Now using DDS proxies instead
          of DDS itself.

        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
          Renaming some inconsistent named variables.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Removed unnecessary logging.

Fri Jan 15 09:11:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/IDL3_to_IDL2/checking_visitor.cpp
        * tools/IDL3_to_IDL2/checking_visitor.h
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.h
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.h
        * tools/IDL3_to_XMI/IR_Simulator_visitor.cpp
        * tools/IDL3_to_XMI/IR_Simulator_visitor.h
          Updated for tao_idl changes

Fri Jan 15 07:03:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryFilter/Base/QueryFilter_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryFilter/Connector/QueryFilter_Test_Connector.mpc:
        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryFilter/Sender/QueryFilter_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryFilter/descriptors/Plan.cdp:
          Changed project names due to fuzz warnings.

Thu Jan 14 19:13:52 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Changed variable name.

Thu Jan 14 15:54:10 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Created a parameter list of variable size.

        * connectors/dds4ccm/tests/QueryFilter/Receiver/QueryFilter_Test_Receiver_exec.cpp:
          Extended test a bit more.

Thu Jan 14 15:33:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
          Reverted DDS logging change.

Thu Jan 14 14:53:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryFilter/*:
        * bin/ciao_tests.lst:
          Added test to test the QueryFilter on the DataReader.

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/Reader_T.h:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Create a ContentFilteredTopic on a domainparticipant.

Thu Jan 14 11:18:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/IDL3_Plus/KitchenSink.idl:
          Extended idl3+ test, added an example that doesn't compile yet,
          commented that out on line 124

Thu Jan 14 11:19:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
          Resolved fuzz error.

Thu Jan 14 10:33:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/docs/ccm_dds.idl:
          Fixed problem in this IDL file

Thu Jan 14 10:31:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/descriptors/Plan.cdp:
          Deploying three connectors with different datatypes.

Thu Jan 14 10:21:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/Base:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Base/Base.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Base/Base.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Component:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Component/Component.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Component/Component.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Component/Component_exec.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector_exec.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/descriptors:
        * connectors/dds4ccm/tests/SharedDomainParticipant/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/descriptors/USER_QOS_PROFILES.xml:
        * connectors/dds4ccm/tests/SharedDomainParticipant/descriptors/run_test.pl:
          Removed these files. Moved to SharedDomainParticipant/SameDatatype.

Thu Jan 14 10:11:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/*:
          Added files for this test (see previous entry for more details).

Thu Jan 14 10:08:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added SharedDomainParticipant for different datatypes.

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Changed to meet the latest status.

        * connectors/dds4ccm/idl/ccm_dds.idl:
          code aligning.

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.h:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/Reader_T.h:
        * connectors/dds4ccm/impl/ndds/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/Topic.h:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
        * connectors/dds4ccm/impl/ndds/ndds_impl.mpc:
          Started with implementation of the QueryFilter attribute.

        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
          Optimized logging.

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/*:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/*:
          Moved existing SharedDomainParticipant test to SameDatatype sub directory.
          Added a new SharedDomainParticipant test with which deploys three connectors
          with different datatypes.

Thu Jan 14 09:10:40 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods
        Add new tests.

Wed Jan 13 13:11:36 UTC 2010  Abdul Sowayan  <sowayan@gmail.com>

        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc:
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc:
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.mpc:
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.mpc:
        * connectors/dds4ccm/tests/DDSWriterEntity/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.mpc:
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.mpc:
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.mpc:
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.mpc:
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.mpc:
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/ConnectorStatusListener_Test_Base.mpc:
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.mpc:
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.mpc:
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.mpc:
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.mpc:
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.mpc:
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.mpc:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Base/Base.mpc:
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.mpc:
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.mpc:
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.mpc:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc:

          Don't hard code the fact that we are using RTI's CORBA Compatability Kit (CCK) in the
          MPC projects. ndds_ts_defaults.mpb now uses the CCK by default.

Wed Jan 13 12:20:40 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender.mpc
          Removed some unused libs.

Wed Jan 13 07:08:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector1:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector1/Connector1.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector1/Connector1.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector1/Connector1_exec.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector1/Connector1_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector2:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector2/Connector2.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector2/Connector2.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector2/Connector2_exec.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector2/Connector2_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector3:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector3/Connector3.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector3/Connector3.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector3/Connector3_exec.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector3/Connector3_exec.cpp:
          Solved compiler errors by removing these files.

Tue Jan 12 15:56:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          SharedDomainParticipant test should work now.

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Added logging when re-using a domainparticipant.

        * connectors/dds4ccm/tests/SharedDomainParticipant/Base/Base.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Component/Component.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Component/Component.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector_exec.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector1.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector1.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector1_exec.h:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector/Connector1_exec.cpp:
          Rewritten this test. Deploy one connector three times instead of
          deploying three seperate connectors.

Tue Jan 12 13:55:31 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/ami4ccm/ami4ccm.h
        * connectors/ami4ccm/ami4ccm/ami4ccm.idl
        * connectors/ami4ccm/examples/Hello/Base/Hello.idl
        * connectors/ami4ccm/examples/Hello/Connector/AMI.mpc
        * connectors/ami4ccm/examples/Hello/Connector/AMI_MyFoo_i.cpp
        * connectors/ami4ccm/examples/Hello/Connector/Hello_Base.idl
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.mpc
          Use new ami4ccm_stub library

        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.mpc
        * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender.mpc
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLQoS/Sender/CSL_QoSTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender.mpc
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender.mpc
        * connectors/dds4ccm/tests/Event_Connection_Test/Sender/Event_Connection_Test_Sender.mpc
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender.mpc
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender.mpc
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/ListenManyByMany/Sender/LMBM_Test_Sender.mpc
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender.mpc
        * connectors/dds4ccm/tests/ListenOneByOne/Sender/LOBO_Test_Sender.mpc
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Sender/ConnectorStatusListener_Test_Sender.mpc
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender.mpc
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender.mpc
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender.mpc
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender.mpc
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender.mpc
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender.mpc
        * connectors/dds4ccm/tests/State_Connection_Test/Sender/State_Connection_Test_Sender.mpc
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender.mpc
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender.mpc
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender.mpc
        * DAnCE/tests/CIAO/CommandlinePassage/CommandlinePassage.mpc
          Layout changes

Tue Jan 12 13:31:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Using a define for factory instance method.

        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector1/Connector1.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector2/Connector2.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/Connector3/Connector3.mpc:
          Resolved compiler errors on windows.

Tue Jan  12 11:08:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/ami4ccm/ami4ccm.cpp:
        * connectors/ami4ccm/ami4ccm/ami4ccm.h:
        * connectors/ami4ccm/ami4ccm/ami4ccm.idl:
        * connectors/ami4ccm/ami4ccm/ami4ccm.mpc:
          New AMI4CCM stub library which is going to be used by
          all connectors and components that want to use ami4ccm

        * MPC/config/ami4ccm_stub.mpb:
          New base project

        * tests/Bug_3769_Regression/Foo.mpc
        * tests/CIAO_ComponentServer/Local_Facet/Local_Facet.mpc
        * tests/IDL_Test/Double_Inherited_Component/Inherited_components.mpc
        * tests/IDL_Test/Inherited_Component/IhC_Bar.mpc
        * tests/IDL_Test/Inherited_Component/IhC_Foo.mpc
        * tests/IDL_Test/Lem_Specific_Export/Lem_Export.mpc
        * tests/IDL_Test/PIDL_Include/PIDLInclude.mpc
        * tests/Minimum/Receiver/Receiver.mpc
          Layout changes

Tue Jan 12 10:07:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Made the domainparticipantfactory a singleton.

        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp:
          Outlining code.

        * connectors/dds4ccm/impl/ndds/DDS_Listen_T.cpp:
          Resolved fuzz error.

        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender.idl:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/DDSWriterEntity/Sender/Writer_Sender_exec.cpp:

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tests/SharedDomainParticipant/*:
          Added test to test whether the same domainparticipant is used
          when two connectors in the same process sharing the same qos_profile.

Tue Jan  12 08:43:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/index.html:
          Fixed some broken links and removed some old ones. Thanks to
          Sreejith <sreejithsmadhavan at gmail dot com> for reporting this

        * docs/tutorials/Quoter/Simple/Broker/StockBroker.mpc:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc:
          Layout changes

Mon Jan  11 13:56:30 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.mpc
          Change in case.

Mon Jan  11 08:48:30 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender_exec.h
          Remove some tabs.


Mon Jan  11 08:48:30 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender_exec.h
          Remove some tabs and change order in mpc files.

Thu Jan  7 16:48:30 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/ciao_tests.lst
        * connectors/dds4ccm/tests/VariousTopicsEvent
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Array/VT_Array_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Seq/VT_Seq_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_String/VT_String_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Connector/VTopic_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors
        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors/Plan.cdp
        * connectors/dds4ccm/tests/VariousTopicsEvent/descriptors/run_test.pl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Receiver/VTopic_Receiver_exec.h
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender.idl
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsEvent/Sender/VTopic_Sender_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState
        * connectors/dds4ccm/tests/VariousTopicsState/Base
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Array/VTS_Array_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Seq/VTS_Seq_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_String/VTS_String_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Connector
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Connector/VTopics_Connector_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors/Plan.cdp
        * connectors/dds4ccm/tests/VariousTopicsState/descriptors/run_test.pl
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Receiver/VTopics_Receiver_exec.h
        * connectors/dds4ccm/tests/VariousTopicsState/Sender
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender.idl
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender.mpc
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender_exec.cpp
        * connectors/dds4ccm/tests/VariousTopicsState/Sender/VTopics_Sender_exec.h
          New tests for various topics with DDS_Event and DDS_State connectors.



Thu Jan  7 15:52:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added DDS DataWriter test to the test framework.

Thu Jan  7 15:50:15 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/DDSWriterEntity/*:
          Added test which shows how to use the DDSDataWriter
          directly.

Thu Jan  7 13:26:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Provided every read/write operation on the dp map with a mutex.

Thu Jan  7 11:41:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
          Resolved runtime issue.

Thu Jan  7 09:43:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDS_State_Connector_T.cpp:
          Call passivate and remove on the base class after passivating
          and removing his own stuff.

        * connectors/dds4ccm/impl/ndds/DDS_Base_Connector_T.cpp:
          Setting listeners to nil. Also extended logging when deleting
          subscriber.

        * connectors/dds4ccm/impl/ndds/DDS_TopicBase_Connector_T.cpp:
          Call passivate and remove on the base class after passivating
